'From Squeak 2.0 of May 22, 1998 on 11 June 1998 at 2:30:20 pm'!
"Change Set:		replaceSubmorphFix
Date:			11 June 1998
Author:			Scott Wallace

Fixes a bug reported by Juan Cires Martinez by factoring out part of Morph.replaceSubmorph:by: code to PasteUpMorph.  Further, assures that the replacement morph and its submorphs get added to the step list if required"!


!Morph methodsFor: 'submorphs-add/remove' stamp: 'sw 6/5/1998 23:22'!
replaceSubmorph: oldMorph by: newMorph
	| index itsPosition aWorld |
	oldMorph stopStepping.
	itsPosition _ oldMorph position.
	index _ submorphs indexOf: oldMorph.
	oldMorph privateDelete.
	self privateAddMorph: newMorph atIndex: index.
	newMorph position: itsPosition.
	(aWorld _ self world) ifNotNil:
		[aWorld startSteppingSubmorphsOf: newMorph]! !


!PasteUpMorph methodsFor: 'misc' stamp: 'sw 6/5/1998 22:53'!
replaceSubmorph: oldMorph by: newMorph
	super replaceSubmorph: oldMorph by: newMorph.
	self autoLineLayout
		ifTrue:
			[self fixLayout]! !


