'From Squeak 2.4b of April 23, 1999 on 4 May 1999 at 2:36:07 pm'!
"Change Set:		dismissWorkaround-sw
Date:			4 May 1999
Author:			Scott Wallace

Provides a temporary workaround for the bug introduced in update 1184TranscriptFix which raises an error when you try to dismiss a parts bin window."!


!MorphicModel methodsFor: 'initialization' stamp: 'sw 5/4/1999 14:34'!
delete

	(model isKindOf: MorphicModel) ifFalse: [^ super delete].

	slotName ifNotNil:
		[(PopUpMenu confirm:
'Shall I remove the slot ', slotName, '
along with all associated methods?') ifTrue: [
		(model class selectors select: [:s | s beginsWith: slotName])
			do: [:s | model class removeSelector: s].
		(model class instVarNames includes: slotName)
			ifTrue: [model class removeInstVarName: slotName].
	] ifFalse: [
		(PopUpMenu confirm:
'...but should I at least dismiss this morph?
[choose no to leave everything unchanged]')
			ifFalse: [^ self]]].

	super delete.
! !


