'From Squeak 2.4c of May 10, 1999 on 20 July 1999 at 8:57:54 am'!
"Change Set:		rotCenterFix-sw
Date:			20 July 1999
Author:			Scott Wallace

Purports to fix the bug that change-costume did not properly take rotation centers into account when positioning the new costume.

Also fixes a bug that could interfere with proper running of tile scripts by rotated objects that were not SketchMorphs."!


!Morph methodsFor: 'submorphs-add/remove' stamp: 'sw 7/20/1999 08:17'!
replaceSubmorph: oldMorph by: newMorph
	| index itsPosition w |
	oldMorph stopStepping.
	itsPosition _ oldMorph referencePosition.
	index _ submorphs indexOf: oldMorph.
	oldMorph privateDelete.
	self privateAddMorph: newMorph atIndex: index.
	newMorph referencePosition: itsPosition.
	(w _ newMorph world) ifNotNil:
		[w startSteppingSubmorphsOf: newMorph]! !

!Morph methodsFor: 'scripting' stamp: 'sw 7/20/1999 08:13'!
scriptPerformer
	^ self topRendererOrSelf player ifNil: [self]! !


