'From Squeak 2.5 of August 6, 1999 [latest update: #1480] on 27 September 1999 at 10:50:00 am'!
"Change Set:		fileoutBanner-sw
Date:			27 September 1999
Author:			Scott Wallace

In the banner preceding any fileout, adds identification of the highest numbered change set in the image which generated the fileout."!


!SystemDictionary methodsFor: 'sources, change log' stamp: 'sw 9/27/1999 10:49'!
lastUpdateString
	"Smalltalk lastUpdateString"
	| aNumber |
	aNumber _ ChangeSorter highestNumberedChangeSet.
	^ (aNumber notNil and: [aNumber > 0])
		ifTrue:
			['latest update: #', aNumber printString]
		ifFalse:
			['No updates present.']! !

!SystemDictionary methodsFor: 'sources, change log' stamp: 'sw 9/27/1999 10:41'!
timeStamp: aStream 
	"Writes system version and current time on stream aStream."

	| dateTime |
	dateTime _ Time dateAndTimeNow.
	aStream nextPutAll: 'From ', Smalltalk version, ' [', Smalltalk lastUpdateString, '] on ', (dateTime at: 1) printString,
						' at ', (dateTime at: 2) printString! !


