'From Squeak2.7 of 5 January 2000 [latest update: #1789] on 5 February 2000 at 12:49:24 pm'!
"Change Set:		1003RandomizedSameGame-dew
Date:			30 December 1999
Author:			Doug Way

I noticed that if I play SameGame from a saved image, it always goes through the, er, same games, because the random number generator is never reset to the date.

This changeset fixes things so that it is always truly randomized (based on the date/time) whenever New Game is pressed.  (This is done by doing ''Collection initialize'', oddly enough.)"!


!SameGameBoard methodsFor: 'initialization' stamp: 'dew 12/10/1999 18:24'!
resetBoard
	Collection initialize.  "randomize"
	selection _ nil.
	self submorphsDo:
		[:m |
		m disabled: false.
		m setSwitchState: false.
		m color: palette atRandom]! !


