'From Squeak2.8alpha of 16 February 2000 [latest update: #1939] on 15 March 2000 at 12:16:43 am'!
"Change Set:		TwoFixes-ar
Date:			15 March 2000
Author:			Your Name

This change set started out with reclassifying Interpreter but then lead to fixing the error message when renaming a file to something that already exists. Hey, you know how this works..."
Smalltalk organization classify: #Interpreter under: 'VMConstruction-Interpreter' asSymbol.!


!FileDirectory methodsFor: 'file operations' stamp: 'ar 3/15/2000 00:14'!
rename: oldFileName toBe: newFileName
	"Rename the file of the given name to the new name. Fail if there is no file of the old name or if there is an existing file with the new name."
	"Modified for retry after GC ar 3/21/98 18:09"
	(self retryWithGC:[self primRename: (self fullNameFor: oldFileName)
						to: (self fullNameFor: newFileName)]
		until:[:result| result notNil]) ~~ nil ifTrue:[^self].
	(self fileExists: oldFileName) ifFalse:[
		^self error:'Attempt to rename a non-existent file'.
	].
	(self fileExists: newFileName) ifTrue:[
		^self error: newFileName printString,' is already in use'.
	].
	^self error:'Failed to rename file'.! !


