'From Squeak2.8alpha of 4 February 2000 [latest update: #2052] on 6 May 2000 at 7:28:15 pm'!
"Change Set:		047BooklikeMorph-bf
Date:			7 May 2000
Author:			Bert Freudenberg & Karl Ramberg

Karl: Makes the Page Controls in BookMorphs pick up a mouseMove so the BookMorph is easier to move around!!

Bert: Yep, that's nice!! But why is it slower than grabbing the book itself? Oh, you're handling #mouseStillDown instead of #mouseDown ... I'll attach a fixed changeset."!


!BooklikeMorph methodsFor: 'page controls' stamp: 'bf 5/7/2000 11:35'!
showPageControls: controlSpecs 
	| spacer pageControls anIndex |
	self hidePageControls.
	anIndex _ (submorphs size > 0 and: [submorphs first hasProperty: #header])
		ifTrue:	[2]
		ifFalse:	[1].
	spacer _ Morph new color: color; extent: 0@10.
	spacer  setProperty: #pageControl toValue: true.
	self privateAddMorph: spacer atIndex: anIndex.

	pageControls _ self makePageControlsFrom: controlSpecs.
	pageControls borderWidth: 0; inset: 4.
	pageControls  setProperty: #pageControl toValue: true.
	pageControls setNameTo: 'Page Controls'.
	pageControls eventHandler: (EventHandler new on: #mouseDown send: #move to: self).
	self privateAddMorph:  pageControls beSticky atIndex: anIndex! !

!BooklikeMorph methodsFor: 'misc' stamp: 'kfr 5/6/2000 21:47'!
move
^  self activeHand grabMorph: self 

! !

