'From Squeak2.8alpha of 4 February 2000 [latest update: #2158] on 20 May 2000 at 12:27:03 pm'!
"Change Set:		072FatBitsPaintFix-raa
Date:			14 May 2000
Author:			Bob Arning

Karl: I tryed to edit a 16 bit depth form ( the color palette) to try to make the  - translucent - line on the top of it easier to understand. I explored it, selected it, wrote self bitEdit, and then when I inspect it it has a depth of 32.

Bob: I see. The 32-bit depth in FatBitsPaint was a change I made since some operations were not working at lower depths. I think you can safely remove the depth test in #accept (included below) and things will work as you expect. I was able to complete your test and see the changes in the ColorPicker."!


!FatBitsPaint methodsFor: 'menu' stamp: 'RAA 5/14/2000 12:42'!
accept
	| f |
	f _ self unmagnifiedForm.
	f boundingBox = formToEdit boundingBox
		ifFalse: [^ self error: 'implementation error; form dimensions should match'].
	f displayOn: formToEdit.  "modify formToEdit in place"! !


!FatBitsPaint reorganize!
('drawing' drawOn:)
('events' griddedPoint: handlesMouseDown: mouseDown: mouseDownDefault: mouseDownSelection: mouseMove: mouseMovePaintBrushMode: toolMenu:)
('initialization' editForm: initialize openWith: setCurrentToolTo: toolsForPaintBrush toolsForSelection)
('menu' accept addCustomMenuItems:hand: backgroundColor: brushColor: copySelection cutSelection editSelection fileOut fill inspectForm magnification: mouseMoveSelectionMode: pasteSelection penSize: revert selectionAsForm selectionMenu: setBackgroundColor: setMagnification: setPenColor: setPenSize: unmagnifiedForm)
('testing' containsPoint:)
!

