'From Squeak2.8alpha of 4 February 2000 [latest update: #2210] on 3 June 2000 at 8:49:57 pm'!
"Change Set:		117ScamperRedirect-ls
Date:			1 June 2000
Author:			Lex Spoon

[Hopefully I resolved the conflicts with #116 in retrieveContents --sma]

Makes HTTPUrl>>retrieveContents add the fragment to the returned MIMEDocument, even if a redirection is involved in the download"!


!MIMEDocument methodsFor: 'converting' stamp: 'ls 6/1/2000 16:24'!
withUrl: newUrl
	"return an identical document except that the URL has been modified"
	^MIMEDocument contentType: self contentType  content: self content url: newUrl! !


!Url methodsFor: 'fragment' stamp: 'ls 6/1/2000 16:19'!
withFragment: newFragment
	"return a URL which is the same except that it has a different fragment"
	^self copy privateFragment: newFragment; yourself! !

!Url methodsFor: 'fragment' stamp: 'ls 6/1/2000 16:26'!
withoutFragment
	"return a URL which is identical to the receiver except that it has no fragment associated with it"
	^self withFragment: nil! !


!HttpUrl methodsFor: 'downloading' stamp: 'sma 6/3/2000 20:46'!
retrieveContentsArgs: args
	| contents request |
	request _ realm ifNotNil: [Passwords at: realm ifAbsent: ['']] ifNil: [''].
	request = '' ifFalse: [request _ 'Authorization: Basic ' , request , String crlf].
		"Why doesn't Netscape send the name of the realm instead of Basic?"

	contents _ (HTTPSocket
		httpGetDocument: self withoutFragment toText
		args: args
		accept: 'application/octet-stream'
		request: request).

	self checkAuthorization: contents retry: [^ self retrieveContentsArgs: args].

	^ self normalizeContents: contents! !

