'From Squeak2.9alpha of 13 June 2000 [latest update: #2426] on 25 June 2000 at 3:49:42 pm'!
"Change Set:		168ProjectMorphBallonHlp-kfr
Date:			23 June 2000
Author:			Karl Ramberg

Added balloon help and ability to change the colors of the morph and submorphs is one swoop."!


!ProjectNavigationMorph methodsFor: 'as yet unclassified' stamp: 'kfr 6/23/2000 09:40'!
addButton: aString balloonText: anotherString for: aSymbol

	| b a |
	b _ SimpleButtonMorph new 
		target: self;
		borderColor: #raised;
		color: color darker;
		label: aString;
		setBalloonText: anotherString;
		actionSelector: aSymbol.
	a _ AlignmentMorph newColumn.
	a color: Color transparent; borderWidth: 0; inset: 2.
	a hResizing: #shrinkWrap; vResizing: #shrinkWrap.
	a addMorphBack: b.
	self addMorphBack: a.

! !

!ProjectNavigationMorph methodsFor: 'as yet unclassified' stamp: 'kfr 6/20/2000 18:08'!
addButtons

	self 
		addButton: '< Prev' balloonText: 'Previous project' for: #previousProject;
		addButton: 'Next >' balloonText: 'Next project' for: #nextProject;
		addButton: '^ Publish' balloonText: 'Publish this project. Save it where it came from (server, hard disk, etc.) ' for: #publishProject;
		addButton: 'Newer?' balloonText: 'Is there a newer version of this project ?' for: #getNewerVersionIfAvailable;
		addButton: 'Tell!!' balloonText: 'Tell a friend about this project' for: #tellAFriend.
! !

!ProjectNavigationMorph methodsFor: 'as yet unclassified' stamp: 'kfr 6/23/2000 15:42'!
step

	| delta testSubmorphColor |
	owner == self world ifFalse: [^self].
	(owner submorphs indexOf: self) = 1 ifFalse: [ 
		(owner firstSubmorph isMemberOf: BalloonMorph)
		ifFalse:[owner addMorphFront: self]].
	delta _ self bounds amountToTranslateWithin: self worldBounds.
	delta = (0 @ 0) ifFalse: [self position: self position + delta].
	testSubmorphColor _ (self  firstSubmorph findA: SimpleButtonMorph).
	(testSubmorphColor color ~~ self color)
		ifTrue:[
	
	self submorphsDo:[:m| m submorphsDo:[:n| n color: self color darker]]]! !

