'From Squeak2.9alpha of 5 August 2000 [latest update: #2676] on 21 September 2000 at 10:59:49 pm'!
"Change Set:		deleteNonSelections-sw
Date:			21 September 2000
Author:			Scott Wallace

Adds a cmd to the changelist browser allowing you to delete all items *not* currently selected."!


!ChangeList methodsFor: 'menu actions' stamp: 'sw 9/21/2000 22:59'!
changeListMenu: aMenu
	"Fill aMenu up so that it comprises the primary changelist-browser menu"

^ aMenu labels:
'fileIn selections
fileOut selections...
compare to current
toggle diffing
select conflicts with any changeset
select conflicts with current changeset
select conflicts with...
select unchanged methods
select methods for this class
select all
deselect all
browse current versions of selections
remove doIts
remove older versions
remove selected items
remove unselected items'
	lines: #(2 4 6 9 11 12)
	selections: #(fileInSelections fileOutSelections
compareToCurrentVersion toggleDiffing selectAllConflicts  selectConflicts selectConflictsWith selectUnchangedMethods selectMethodsForThisClass  selectAll  deselectAll browseCurrentVersionsOfSelections
removeDoIts removeOlderMethodVersions removeSelections removeNonSelections)

"select such that...   selectSuchThat"

! !

!ChangeList methodsFor: 'menu actions' stamp: 'sw 9/18/2000 12:21'!
removeNonSelections
	"Remove the unselected items from the receiver."

	| newChangeList newList |

	newChangeList _ OrderedCollection new.
	newList _ OrderedCollection new.

	1 to: changeList size do:
		[:i | (listSelections at: i) ifTrue:
			[newChangeList add: (changeList at: i).
			newList add: (list at: i)]].
	newChangeList size == 0 ifTrue:
		[^ self inform: 'That would remove everything.
Why would you want to do that?'].

	newChangeList size < changeList size
		ifTrue:
			[changeList _ newChangeList.
			list _ newList.
			listIndex _ 0.
			listSelections _ Array new: list size withAll: false].
	self changed: #list

	! !

