'From Squeak2.9alpha of 12 June 2000 [latest update: #2688] on 24 September 2000 at 5:39:27 pm'!
"Change Set:		RoundCornersOpt
Date:			24 September 2000
Author:			Dan Ingalls

fullDrawMorphWithRoundedCorners: used to invoke all the corner rounding logic, even if the update region did not include the corners (typing in a browser, updating x in a viewer).  This changeSet introduces a quick check to avoid this.
"!


!Canvas methodsFor: 'testing' stamp: 'di 9/24/2000 16:10'!
seesNothingOutside: aRectangle
	"Return true if this canvas will not touch anything outside aRectangle"
	^ aRectangle containsRect: self clipRect
! !


!FormCanvas methodsFor: 'drawing-general' stamp: 'di 9/24/2000 16:27'!
fullDrawMorphWithRoundedCorners: aMorph
	(self seesNothingOutside: (CornerRounder rectWithinCornersOf: aMorph bounds))
		ifTrue: ["Don't bother with corner logic if the region is inside them"
				^ self fullDraw: aMorph].
	CornerRounder roundCornersOf: aMorph on: self
		displayBlock: [self fullDraw: aMorph]
		borderWidth: aMorph borderWidth
		corners: aMorph roundedCorners! !

