'From Squeak 2.2beta of Sept 16, 1998 on 19 September 1998 at 4:19:07 pm'!

!TextURL methodsFor: 'as yet unclassified' stamp: 'di 9/19/1998 16:19'!
actOnClickFor: anObject
	"Do what you can with this URL.  Later a web browser."

	| response m browser | 

		"if it's a web browser, tell it to jump"
		anObject isWebBrowser ifTrue: [
			anObject jumpToUrl: url.
			^true ].

		"if it's a morph, see if it is contained in a web browser"
		(anObject isKindOf: Morph) ifTrue: [
			m _ anObject.
			[ m ~= nil ] whileTrue: [
				(m isWebBrowser) ifTrue: [ 
					m  jumpToUrl: url.  
					^true ].
				(m hasProperty: #webBrowserView) ifTrue: [
					m model jumpToUrl: url.
					^true ].
				m _ m owner. ]
		].

	"no browser in sight.  ask if we should start a new browser"
	(self confirm: 'open a browser to view this URL?') ifTrue: [
		browser _ Scamper new.
		browser jumpToUrl: url.
		browser openAsMorph.
		^ true ].
	
	"couldn't display in a browser.  Offer to put up just the source"	
	response _ (PopUpMenu labels: 'View web page as source\Cancel' withCRs)
		startUpWithCaption: 'Couldn''t find a web browser.  View page as source?'.
	response = 1 ifTrue: [HTTPSocket httpShowPage: url].
	^ true! !
