'From Squeak2.9alpha of 17 July 2000 [latest update: #2949] on 5 November 2000 at 9:50:34 am'!
"Change Set:		mvcMenuFix
Date:			5 November 2000
Author:			Bob Arning

- fix walkbacks when trying to pick edge for a new flap"!


!Utilities class methodsFor: 'flaps' stamp: 'RAA 11/5/2000 09:49'!
addGlobalFlap

	| aMenu reply aFlapTab |

	aMenu _ MVCMenuMorph entitled: 'which edge should it stick to? '.
	aMenu defaultTarget: aMenu.
	#(left right top bottom) do:
		[:sym | aMenu add: sym selector: #selectMVCItem: argument: sym].
	reply _ aMenu invokeAt: self currentHand position in: self currentWorld.
	reply ifNotNil:
		[aFlapTab _ self newFlapTitled: 'Untitled Flap' onEdge: reply.
		self addGlobalFlap: aFlapTab.
	self currentWorld addGlobalFlaps]
	
! !

!Utilities class methodsFor: 'flaps' stamp: 'RAA 11/5/2000 09:49'!
addLocalFlap

	| aMenu reply aFlapTab aWorld |

	aMenu _ MVCMenuMorph entitled: 'Where should the new flap cling?'.
	aMenu defaultTarget: aMenu.
	#(left right top bottom) do:
		[:sym | aMenu add: sym selector: #selectMVCItem: argument: sym].
	reply _ aMenu invokeAt: self currentHand position in: self currentWorld.
	reply ifNotNil:
		[aFlapTab _ self newFlapTitled: 'Flap' onEdge: reply.
		(aWorld _ self currentWorld) addMorphFront: aFlapTab.
		aFlapTab adaptToWorld: aWorld]
	
! !

