'From Squeak2.9alpha of 12 June 2000 [latest update: #3046] on 27 November 2000 at 1:18:45 pm'!
"Change Set:		TetrisFix
Date:			27 November 2000
Author:			Dan Ingalls

Two fixes, suggested by Andreas Raab to make Tetris compliant with the new alignment protocols.
"!


!Tetris methodsFor: 'initialization' stamp: 'di 11/25/2000 20:47'!
initialize

	super initialize.
	board _ TetrisBoard new game: self.
	color _ Color lightGray.
	self listDirection: #topToBottom.
	self wrapCentering: #center.
	self vResizing: #shrinkWrap.
	self hResizing: #shrinkWrap.
	self layoutInset: 3.
	self 
		addMorphBack: self makeGameControls;
		addMorphBack: self makeMovementControls;
		addMorphBack: self showScoreDisplay;
		addMorphBack: board.
	board newGame.

! !

!Tetris methodsFor: 'initialization' stamp: 'di 11/25/2000 20:52'!
showScoreDisplay

	^ self rowForButtons
		hResizing: #shrinkWrap;
		addMorph: (self wrapPanel: ((scoreDisplay _ LedMorph new) digits: 5; extent: (4*10@15)) 
						label: 'Score:')
! !

