'From Squeak2.9alpha of 13 June 2000 [latest update: #2915] on 11 November 2000 at 7:57:17 pm'!
"Change Set:		214HierarchicalUrlFix-hmm
Date:			10 November 2000
Author:			Hans-Martin Mosner

With changeset 2736, HttpURLs lost their ability to use ports other than the default. This fix restores that ability."!


!HierarchicalUrl methodsFor: 'printing' stamp: 'hmm 11/10/2000 16:32'!
toText
	| ans |
	ans _ WriteStream on: String new.
	ans nextPutAll: self schemeName.
	ans nextPutAll: '://'.
	ans nextPutAll: self authority.
	port ifNotNil: [ans nextPut: $:; print: port].
	path do: [ :pathElem |
		ans nextPut: $/.
		ans nextPutAll: pathElem encodeForHTTP. ].
	self query isNil ifFalse: [ 
		ans nextPut: $?.
		ans nextPutAll: self query. ].
	self fragment isNil ifFalse: [
		ans nextPut: $#.
		ans nextPutAll: self fragment encodeForHTTP. ].
	
	^ans contents! !

