'From Squeak2.9alpha of 17 July 2000 [latest update: #3308] on 26 January 2001 at 10:32:20 am'!
"Change Set:		CenteredToggles-dew
Date:			21 January 2001
Author:			Doug Way

Adjusts the toggle buttons in the SimpleHierarchicalListMorph (e.g. object explorer) so that they are properly centered, no matter what the font size is.

However: keep the old method for the IndentingListParagraphMorph - Bob Arning"!


!IndentingListItemMorph methodsFor: 'drawing' stamp: 'dew 1/21/2001 16:47'!
drawToggleOn: aCanvas in: aRectangle

	| aForm centeringOffset |
	complexContents hasContents ifFalse: [^self].
	aForm _ isExpanded 
		ifTrue: [container expandedForm]
		ifFalse: [container notExpandedForm].
	centeringOffset _ ((aRectangle height - aForm extent y) / 2) asInteger.
	^aCanvas 
		paintImage: aForm 
		at: (aRectangle topLeft translateBy: 0 @ centeringOffset).
! !


!IndentingListParagraphMorph methodsFor: 'as yet unclassified' stamp: 'RAA 1/26/2001 10:26'!
drawToggleOn: aCanvas in: aRectangle

	| aForm |

	aCanvas 
		fillRectangle: (bounds withRight: aRectangle right)
		color: container color.
	complexContents hasContents ifFalse: [^self].
	aForm _ isExpanded 
		ifTrue: [container expandedForm]
		ifFalse: [container notExpandedForm].
	^aCanvas 
		paintImage: aForm 
		at: aRectangle topLeft
! !


!SimpleHierarchicalListMorph methodsFor: 'as yet unclassified' stamp: 'dew 1/21/2001 16:32'!
expandedForm

	^expandedForm ifNil: [expandedForm _ 
			(Form
				extent: 10@9
				depth: 8
				fromArray: #( 4294967295 4294967295 4294901760 4294967295 4294967295 4294901760 4278255873 16843009 16842752 4294902089 1229539657 33488896 4294967041 1229539585 4294901760 4294967295 21561855 4294901760 4294967295 4278321151 4294901760 4294967295 4294967295 4294901760 4294967295 4294967295 4294901760)
				offset: 0@0) asFormOfDepth: Display depth.
		expandedForm replaceColor: Color white withColor: Color transparent.
		expandedForm
	].
! !

!SimpleHierarchicalListMorph methodsFor: 'as yet unclassified' stamp: 'dew 1/21/2001 16:33'!
notExpandedForm

	^notExpandedForm ifNil: [notExpandedForm _ 
			(Form
				extent: 10@9
				depth: 8
				fromArray: #( 4294967041 4294967295 4294901760 4294967041 33554431 4294901760 4294967041 1224867839 4294901760 4294967041 1229521407 4294901760 4294967041 1229539585 4294901760 4294967041 1229521407 4294901760 4294967041 1224867839 4294901760 4294967041 33554431 4294901760 4294967041 4294967295 4294901760)
				offset: 0@0) asFormOfDepth: Display depth.
		notExpandedForm replaceColor: Color white withColor: Color transparent.
		notExpandedForm
	].! !

