'From Squeak2.9alpha of 13 June 2000 [latest update: #3346] on 31 January 2001 at 9:12:02 pm'!
"Change Set:		BrowserDnD-ar
Date:			31 January 2001
Author:			Andreas Raab

Fixes drag and drop in browsers (and in system windows in general)"!


!SystemWindow methodsFor: 'events' stamp: 'ar 1/31/2001 21:08'!
handleListenEvent: evt
	"Make sure we lock our contents after DnD has finished"
	evt isMouse ifFalse:[^self].
	evt hand hasSubmorphs ifTrue:[^self]. "still dragging"
	self == TopWindow ifFalse:[self submorphsDo:[:m| m lock]].
	evt hand removeMouseListener: self.! !

!SystemWindow methodsFor: 'events' stamp: 'ar 1/31/2001 21:02'!
handlesMouseOverDragging: evt
	^true! !

!SystemWindow methodsFor: 'events' stamp: 'ar 1/31/2001 21:09'!
mouseEnterDragging: evt
	"unlock children for drop operations"
	(self ~~ TopWindow and:[evt hand hasSubmorphs]) ifTrue:[
		self submorphsDo:[:m| m unlock].
		evt hand addMouseListener: self. "for drop completion on submorph"
	].! !

!SystemWindow methodsFor: 'events' stamp: 'ar 1/31/2001 21:08'!
mouseLeaveDragging: evt
	"lock children after drop operations"
	(self ~~ TopWindow and:[evt hand hasSubmorphs]) ifTrue:[
		self submorphsDo:[:m| m lock].
		evt hand removeMouseListener: self.
	].! !

