'From Squeak3.1alpha of 4 February 2001 [latest update: #3868] on 25 March 2001 at 6:49:01 am'!
"Change Set:		ShiftClick-ar
Date:			25 March 2001
Author:			Andreas Raab

Fix shift-click in text editors."!


!TextMorphEditor methodsFor: 'events' stamp: 'ar 3/25/2001 06:48'!
mouseDown: evt 
	"An attempt to break up the old processRedButton code into threee phases"
	| clickPoint |

	oldInterval _ startBlock stringIndex to: stopBlock stringIndex - 1.
	clickPoint _ evt cursorPoint.
	(paragraph clickAt: clickPoint for: model controller: self) ifTrue: [
		oldInterval _ pivotBlock _ nil.	"don't change selection based on this click"
		evt hand releaseKeyboardFocus: self.
		^ self].
	evt shiftPressed
		ifFalse:
			[self closeTypeIn.
			stopBlock _ startBlock _ pivotBlock _
				paragraph characterBlockAtPoint: clickPoint]
		ifTrue:
			[(paragraph characterBlockAtPoint: clickPoint) <= startBlock
				ifTrue: [stopBlock _ startBlock.
						pivotBlock _ stopBlock]
				ifFalse: [startBlock _  stopBlock.
						pivotBlock _ startBlock].
			self closeTypeIn.
			self mouseMove: evt].
	self storeSelectionInParagraph! !

