'From Squeak3.1alpha of 28 February 2001 [latest update: #3891] on 3 April 2001 at 11:16:36 am'!
"Change Set:		listRefix-sw
Date:			2 April 2001
Author:			Scott Wallace

Fixes the recrudescence of the no-mans-land bug whereby a click just to the left of a list item in, say, a change-set-list pane, could result in the list having no selection, and hence could drop you into a debugger.  Had gotten rebroken in update 3862."!


!PluggableListMorph methodsFor: 'events' stamp: 'sw 4/2/2001 21:08'!
mouseUp: event
	"The mouse came up within the list; take appropriate action"

	| aMorph |
	aMorph _ self itemFromPoint: event position.
	aMorph ifNotNil: [aMorph highlightForMouseDown: false].
	model okToChange ifFalse:
		[^ self].
	(autoDeselect == false and: [aMorph == nil]) ifTrue: [^ self].  "work-around the no-mans-land bug"
	"No change if model is locked"
	((autoDeselect == nil or: [autoDeselect]) and: [aMorph == selectedMorph])
		ifTrue: [self setSelectedMorph: nil]
		ifFalse: [self setSelectedMorph: aMorph].
	Cursor normal show.
! !

