'From Squeak3.1alpha of 28 February 2001 [latest update: #4068] on 24 May 2001 at 6:01:37 pm'!
"Change Set:		FasterHolders-ar
Date:			24 May 2001
Author:			Andreas Raab

Make holder animations faster by reducing the amount of invalidations reported when the cursor changes."!


!PasteUpMorph methodsFor: 'cursor' stamp: 'ar 5/24/2001 18:00'!
cursorWrapped: aNumber
	"Set the cursor to the given number, modulo the number of items I contain. Fractional cursor values are allowed."

	| truncP oldRect newRect |
	cursor ~= aNumber ifTrue:[
		oldRect _ self selectedRect.
		cursor _ self asNumber: aNumber.
		truncP _ cursor truncated.
		truncP > submorphs size ifTrue:
			[submorphs size > 0
				ifTrue: [cursor _ cursor \\ submorphs size]
				ifFalse: [cursor _ 1]].
		truncP < 0 ifTrue: [cursor _ 1].
		newRect _ self selectedRect.
		self indicateCursor 
			ifTrue:[self invalidRect: oldRect; invalidRect: newRect]].
! !

