'From Squeak3.1alpha of 28 February 2001 [latest update: #4104] on 30 May 2001 at 12:31:40 pm'!
"Change Set:		StackFix-tk
Date:			30 May 2001
Author:			Ted Kaehler

I finally found the bug that has caused text in StackMorphs to be duplicated on many cards.  When the contents of a field was stored into the CArdPlayer, it was not being copied.  The same Text object then lived on the background and in the card data.  When a new card was created, modifed and stored, the same Text object was stored for it also!!"!


!StackMorph methodsFor: 'menu' stamp: 'tk 5/30/2001 12:25'!
findViaTemplate
	| list pl cardInst |
	"Current card is the template.  Only search cards in this background. Look at cards directly (not allText). Key must be found in the same field as in the template.  HyperCard style (multiple starts of words).  
	Put results in a list, outside the stack."

	list _ self templateMatches.
	"put up a PluggableListMorph"
	cardInst _ self currentCard.
	cardInst matchIndex: 0.	"establish entries"
	cardInst results at: 1 put: list.
	self currentPage setProperty: #myStack toValue: self.	"way to get back"

	pl _ PluggableListMorph new
			on: cardInst list: #matchNames
			selected: #matchIndex changeSelected: #matchIndex:
			menu: nil "#matchMenu:shifted:" keystroke: nil.
	pl color: (Color blue mixed: 0.17 with: Color white).
	pl toggleCornerRounding; width: 252; retractableOrNot.
	ActiveHand attachMorph: pl.
! !


!VariableDock methodsFor: 'initialization' stamp: 'tk 5/30/2001 12:10'!
storeMorphDataInInstance: anInstance
	"Store the morph instance data represented by the receiver into the card instance provided.  This is done by retrieving the datum value from the morph that holds it on the card, and putting it into the card instance"

	anInstance perform: playerPutSelector with: (definingMorph perform: morphGetSelector) copy! !

