'From Squeak3.1alpha of 6 February 2001 [latest update: #4173] on 18 August 2001 at 11:33:14 am'!
"Change Set:		CelesteFirstOpenFix-nk
Date:			8 August 2001
Author:			Ned Konz

In a fresh image, Celeste current will open a new Celeste window, but will return Celeste (the class), rather than the new Celeste.

This can be seen, for instance, by emailing a change set to the list from a fresh image.

This change set fixes this problem, which was introduced in the 4170dbLessCeleste-ls change set.
"!


!Celeste class methodsFor: 'instance creation' stamp: 'nk 8/8/2001 12:45'!
openOn: rootFilename
	"Open a MailReader on the mail database with the given root filename."
	|database |

	(MailDB isADBNamed: rootFilename)
		ifTrue: [ database _  MailDB openOn: rootFilename. ]
		ifFalse: [ database _ nil.  "open an empty Celeste with a welcome message" ].

	^self openOnDatabase: database! !

