'From Squeak3.1alpha of 28 February 2001 [latest update: #4331] on 7 September 2001 at 11:09:35 pm'!
"Change Set:		SymmetricSpeed-ar
Date:			7 September 2001
Author:			Andreas Raab

Fix a performance problem in FloatArrays. When used against an integer/float receiver (e.g., 3.0 * <float array>) the Collection code (roughly 100 times slower than the primitive code) took over."!


!FloatArray methodsFor: 'arithmetic' stamp: 'ar 9/7/2001 23:07'!
adaptToNumber: rcvr andSend: selector
	"If I am involved in arithmetic with a Number. If possible,
	convert it to a float and perform the (more efficient) primitive operation."
	selector == #+ ifTrue:[^self + rcvr].
	selector == #* ifTrue:[^self * rcvr].
	selector == #- ifTrue:[^self negated += rcvr].
	selector == #/ ifTrue:[^self * (1.0 / rcvr)].
	^super adaptToNumber: rcvr andSend: selector! !

!FloatArray methodsFor: 'arithmetic' stamp: 'ar 9/7/2001 23:04'!
negated
	^self clone *= -1! !

