'From Squeak3.1alpha of 28 February 2001 [latest update: #4358] on 1 October 2001 at 11:29:45 am'!
"Change Set:		twoFixes-sw
Date:			1 October 2001
Author:			Scott Wallace

* The window labels of FileContentsBrowsers, after any selection was made in them, were inappropriate both as to tool name and to class selection (this bug came into FileContentsBrowsers when code was added to update the title of SystemBrowsers).  This fixes that.
* Fixes bug in the code for moving class changes from one side to another of a Dual Change Sorter; formerly, if the move were denied for any reason, the deletion from the original change set still took place, potentially resulting in actual loss."!


!ChangeSorter methodsFor: 'class list' stamp: 'sw 10/1/2001 10:43'!
moveClassToOther
	"Place class changes in the other changeSet and remove them from this one"

	self checkThatSidesDiffer: [^ self].
	(self okToChange and: [currentClassName notNil]) ifFalse: [^ self beep].

	self copyClassToOther.
	self forgetClass! !


!FileContentsBrowser methodsFor: 'other' stamp: 'sw 10/1/2001 11:16'!
labelString
	"Answer the string for the window title"

	^ 'File Contents Browser ', (self selectedSystemCategoryName ifNil: [''])! !

