'From Squeak3.1alpha of 7 March 2001 [latest update: #4282] on 2 September 2001 at 2:08:52 am'!
"Change Set:		PackageBrColor-sbw
Date:			21 August 2001
Author:			Stephan B. Wessels

The color 'behind' the instance/class morphic buttons was incorrect when the panel
gets built in the package browser.  This caused the vertical bars that are part of the
new look to show up green instead of yellow.  (Also fixes the FileContentsBrowser)"!


!Browser methodsFor: 'initialize-release' stamp: 'dew 9/2/2001 02:08'!
buildMorphicSwitches
	| instanceSwitch divider1 divider2 commentSwitch classSwitch row aColor |
	instanceSwitch _ PluggableButtonMorph
				on: self
				getState: #instanceMessagesIndicated
				action: #indicateInstanceMessages.
	instanceSwitch label: 'instance';
		 askBeforeChanging: true;
		 borderWidth: 0.
	commentSwitch _ PluggableButtonMorph
				on: self
				getState: #classCommentIndicated
				action: #plusButtonHit.
	commentSwitch label: '?' asText allBold;
		 askBeforeChanging: true;
		 setBalloonText: 'class comment';
		 borderWidth: 0.
	classSwitch _ PluggableButtonMorph
				on: self
				getState: #classMessagesIndicated
				action: #indicateClassMessages.
	classSwitch label: 'class';
		 askBeforeChanging: true;
		 borderWidth: 0.
	divider1 _ BorderedSubpaneDividerMorph vertical.
	divider2 _ BorderedSubpaneDividerMorph vertical.
	Preferences alternativeWindowLook
		ifTrue: [divider1 extent: 4 @ 4;
				 borderWidth: 2;
				 borderRaised;
				 color: Color transparent.
			divider2 extent: 4 @ 4;
				 borderWidth: 2;
				 borderRaised;
				 color: Color transparent].
	row _ AlignmentMorph newRow hResizing: #spaceFill;
				 vResizing: #spaceFill;
				 layoutInset: 0;
				 borderWidth: 0;
				 addMorphBack: instanceSwitch;
				 addMorphBack: divider1;
				 addMorphBack: commentSwitch;
				 addMorphBack: divider2;
				 addMorphBack: classSwitch.
	aColor _ Color colorFrom: self defaultBackgroundColor.
	row color: aColor darker.	"sbw. Ensure proper button divider color."
	Preferences alternativeWindowLook
		ifTrue: [aColor _ Color white].
	{instanceSwitch. commentSwitch. classSwitch}
		do: [:m | m color: aColor;
				 onColor: aColor darker offColor: aColor;
				 hResizing: #spaceFill;
				 vResizing: #spaceFill].
	^ row! !

