'From Squeak3.2alpha of 3 October 2001 [latest update: #4538] on 25 November 2001 at 11:50:33 pm'!
"Change Set:		projEnter-sw
Date:			25 November 2001
Author:			Scott Wallace

Fixes a recently-introduced bug regarding the initial state of morphic projects."!


!Project methodsFor: 'initialization' stamp: 'sw 11/25/2001 23:32'!
initMorphic
	"Written so that Morphic can still be removed.  Note that #initialize is never actually called for a morphic project -- see the senders of this method."

	Smalltalk verifyMorphicAvailability ifFalse: [^ nil].
	changeSet _ ChangeSet new.
	transcript _ TranscriptStream new.
	displayDepth _ Display depth.
	parentProject _ CurrentProject.
	isolatedHead _ false.
	world _ PasteUpMorph newWorldForProject: self.
	self initializeProjectPreferences "Do this *after* a world is installed so that the project will be recognized as a morphic one."


! !

