'From Squeak3.2alpha of 8 October 2001 [latest update: #4418] on 16 October 2001 at 4:22:16 pm'!
ModuleRefactorer subclass: #FromVersion0p0001to0002
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'System-Modules-Refactorings'!

!FromVersion0p0001to0002 methodsFor: 'versions' stamp: 'hg 10/3/2001 20:35'!
fromVersion

	^0.0001! !

!FromVersion0p0001to0002 methodsFor: 'moving modules' stamp: 'hg 10/8/2001 18:48'!
modulesToRemove
	"return a list of paths to modules to remove"

	^#(
		#(Squeak MPEG3)
		#(Squeak MPEG)
		#(Squeak SCAN)
		#(Squeak Framework)
	)! !

!FromVersion0p0001to0002 methodsFor: 'moving modules' stamp: 'hg 10/8/2001 17:22'!
newPlacesForBalloon
	"Move Simulation and Plugin stuff to VMConstruction"
	"For each module, list pairs of its path before and after moving it."
	
	^#(	
		#(Squeak Media Balloon Engine)		#(Squeak Media Balloon Drawing)

		#(Squeak Media Balloon Simulation)		#(Squeak VMConstruction Plugins Balloon Simulation)
		#(Squeak Media Balloon Drawing Constants)		#(Squeak VMConstruction Plugins Balloon Simulation Constants)
	).
! !

!FromVersion0p0001to0002 methodsFor: 'moving modules' stamp: 'hg 10/9/2001 12:10'!
newPlacesForDevelopment
	"For each module, list pairs of its path before and after moving it."
	
	^#(	
		#(Squeak Tools) #(Squeak Development) 
		#(Squeak Development ArchiveViewer) #(Squeak Technology Archives Applications) 
		#(Squeak System Compiler) #(Squeak Development Compiler) 
		#(Squeak SUnit) #(Squeak Development Test SUnit) 
		#(Squeak SCAN Tests) #(Squeak Development Test TextEditing) 
	)! !

!FromVersion0p0001to0002 methodsFor: 'moving modules' stamp: 'hg 10/8/2001 16:28'!
newPlacesForEToy
	"For each module, list pairs of its path before and after moving it."
	
	^#(	
		#(Squeak Protocols)		#(Squeak EToy Protocols)
		#(Squeak Framework Download)		#(Squeak EToy Download)

	).
! !

!FromVersion0p0001to0002 methodsFor: 'moving modules' stamp: 'hg 10/8/2001 16:18'!
newPlacesForLanguage
	"For each module, list pairs of its path before and after moving it."
	
	^#(	
		#(Squeak Kernel) #(Squeak Language Core) 
		#(Squeak Collections) #(Squeak Language Collections) 
		#(Squeak System Environments) #(Squeak Language Environments) 
		#(Squeak System Exceptions) #(Squeak Language Exceptions) 
		#(Squeak Language Exceptions Kernel) #(Squeak Language Exceptions Core) 
		#(Squeak Language Exceptions Library) #(Squeak Language Exceptions Library) 
		#(Squeak System Modules) #(Squeak Language Modules) 
	)! !

!FromVersion0p0001to0002 methodsFor: 'moving modules' stamp: 'hg 10/8/2001 17:29'!
newPlacesForMedia
	"For each module, list pairs of its path before and after moving it."
	
	^#(	
		#(Squeak Graphics)		#(Squeak Media Graphics)
		#(Squeak Balloon)		#(Squeak Media Balloon)

		#(Squeak Balloon TrueType)			#(Squeak Media TrueType)
		#(Squeak Balloon MMFlash)			#(Squeak Media Flash)

		#(Squeak Balloon3D)			#(Squeak Media Balloon3D)

		#(Squeak Sound)		#(Squeak Media Sound)
		#(Squeak Speech)		#(Squeak Media Speech)

		#(Squeak MPEG3 Kernel)		#(Squeak Media MPEG Core)
		#(Squeak MPEG Player)		#(Squeak Media MPEG Application)

		#(Squeak StarSqueak)			#(Squeak Media StarSqueak)

	).
! !

!FromVersion0p0001to0002 methodsFor: 'moving modules' stamp: 'hg 10/12/2001 20:28'!
newPlacesForModules
	"For each module, list pairs of its path before and after moving it."
	
	^#(	
		#(VMConstruction TestPlugins) #(VMConstruction Test) 
	),
	self newPlacesForLanguage,
	self newPlacesForTechnology,
	self newPlacesForDevelopment,
	self newPlacesForMedia,
	self newPlacesForNetwork,
	self newPlacesForBalloon,
	self newPlacesForEToy.
! !

!FromVersion0p0001to0002 methodsFor: 'moving modules' stamp: 'hg 10/8/2001 17:56'!
newPlacesForNetwork
	"For each module, list pairs of its path before and after moving it."
	
	^#(	
		#(Squeak Network Kernel)		#(Squeak Network Library ServerAccess)
		#(Squeak Network Url)		#(Squeak Network Library URL)
		#(Squeak Network Protocols)		#(Squeak Network Library Protocol)
		#(Squeak Network HTML)		#(Squeak Network Library HTML)
		#(Squeak Network RFC822)		#(Squeak Network Library MailAddress)
		#(Squeak Network ObjectSocket)		#(Squeak Network Library ObjectSocket)
		#(Squeak Network SqueakPage)  #(Squeak Network Library SqueakPage)
		#(Squeak Network EToyCommunications)  #(Squeak EToy Communication)
		#(Squeak Network WebBrowser)  #(Squeak Network Applications WebBrowser)
		#(Squeak Network MailReader)  #(Squeak Network Applications MailReader)
		#(Squeak Network IRCChat)  #(Squeak Network Applications IRCChat)
		#(Squeak Network PluggableWebServer) #(Squeak Network Applications PluggableWebServer)
		#(Squeak Network AudioChat)  #(Squeak Network Applications AudioChat)
		#(Squeak Network TelNetWordNet)  #(Squeak Network Applications TelnetWordNet)
	).
! !

!FromVersion0p0001to0002 methodsFor: 'moving modules' stamp: 'hg 10/8/2001 16:23'!
newPlacesForTechnology
	"For each module, list pairs of its path before and after moving it."
	
	^#(	
		#(Squeak System) #(Squeak Technology) 
		#(Squeak FFI) #(Squeak Technology FFI) 
	)! !

!FromVersion0p0001to0002 methodsFor: 'moving modules' stamp: 'hg 10/8/2001 18:14'!
reorderModules
	"send reordering messages from here"

	Module squeak
		moveModule: Module @ #(Squeak Language) toBefore: Module squeak submodules first; 

		moveModule: Module @ #(Squeak Technology) toAfter: Module @ #(Squeak Language); 		moveModule: Module @ #(Squeak Media) toAfter: Module @ #(Squeak Technology); 
		moveModule: Module @ #(Squeak MVC) toAfter: Module @ #(Squeak Media); 
		moveModule: Module @ #(Squeak Morphic) toAfter: Module @ #(Squeak MVC); 
		moveModule: Module @ #(Squeak Network) toAfter: Module @ #(Squeak Morphic); 
		moveModule: Module @ #(Squeak Development) toAfter: Module @ #(Squeak Network).
! !

!FromVersion0p0001to0002 methodsFor: 'moving definitions' stamp: 'hg 10/8/2001 17:24'!
refactorBalloonClasses

	self transferBindingsNamedIn: #(BalloonDebugEngine BalloonDebugCanvas ) 
		from: Module @ #(Squeak Media Balloon Drawing) 
		to: (Module fromPath: #(Squeak VMConstruction Plugins Balloon) forceCreate: true).

	self transferBindingsNamedIn: 
			#(BalloonEngineBase BalloonEngineSimulation ) 
		from: Module @ #(Squeak VMConstruction Plugins) 
		to: Module @ #(Squeak VMConstruction Plugins Balloon).

	self transferBindingsNamedIn: #(BalloonEnginePlugin)
		from: Module @ #(Squeak VMConstruction Plugins) 
		to: Module @ #(Squeak VMConstruction Plugins Balloon).

! !

!FromVersion0p0001to0002 methodsFor: 'moving definitions' stamp: 'hg 10/9/2001 16:20'!
refactorPluginClasses

	self transferBindingsNamedIn: #( ADPCMCodecPlugin  SoundCodecPlugin SoundGenerationPlugin SoundPlugin )
		from: Module @ #(Squeak VMConstruction Plugins) 
		to: (Module fromPath: #(Squeak VMConstruction Plugins Sound) forceCreate: true).

	self transferBindingsNamedIn: #(B3DClipperPlugin B3DEnginePlugin B3DPickerPlugin B3DRasterizerPlugin B3DShaderPlugin B3DTransformerPlugin B3DVertexBufferPlugin)
		from: Module @ #(Squeak VMConstruction Plugins) 
		to: (Module fromPath: #(Squeak VMConstruction Plugins Balloon3D) forceCreate: true).

	self transferBindingsNamedIn: #(SurfacePlugin)
		from: Module @ #(Squeak VMConstruction Plugins) 
		to: (Module fromPath: #(Squeak VMConstruction Plugins Graphics) forceCreate: true).

	self transferBindingsNamedIn: #(BitBltSimulation BitBltSimulator )
		from: Module @ #(Squeak VMConstruction Interpreter) 
		to: Module @ #(Squeak VMConstruction Plugins Graphics).

	self transferBindingsNamedIn: #(FXBltSimulation FXBltSimulator )
		from: Module @ #(Squeak Media Graphics FXBlt) 
		to: Module @ #(Squeak VMConstruction Plugins Graphics).

	self transferBindingsNamedIn: #(FilePlugin SocketPlugin MIDIPlugin SerialPlugin JoystickTabletPlugin AsynchFilePlugin)
		from: Module @ #(Squeak VMConstruction Plugins) 
		to: (Module fromPath: #(Squeak VMConstruction Plugins IO) forceCreate: true).

	self transferBindingsNamedIn: #(LargeIntegersPlugin FFTPlugin FloatArrayPlugin Matrix2x3Plugin)
		from: Module @ #(Squeak VMConstruction Plugins) 
		to: (Module fromPath: #(Squeak VMConstruction Plugins Numerics) forceCreate: true).! !

"Postscript:"
FromVersion0p0001to0002 run!