'From Squeak3.3alpha of 12 January 2002 [latest update: #4754] on 7 February 2002 at 12:07 pm'!
"Change Set:		menuButtonDrop-sw
Date:			7 February 2002
Author:			Scott Wallace

A persistent menu with only a single item in it has the look and feel of a button, so the restrictions that make menus normally reluctant to be dropped into other objects should not, and now will not, apply to such menus."!


!MenuMorph methodsFor: 'control' stamp: 'sw 2/7/2002 12:06'!
wantsToBeDroppedInto: aMorph
	"Return true if it's okay to drop the receiver into aMorph.  A single-item MenuMorph is in effect a button rather than a menu, and as such should not be reluctant to be dropped into another object."

	^ (aMorph isWorldMorph or: [submorphs size == 1]) or:
		[Preferences systemWindowEmbedOK]! !

