'From Squeak3.3alpha of 28 January 2002 [latest update: #4769] on 22 February 2002 at 6:20:18 am'!
"Change Set:		openAsProjFix
Date:			22 February 2002
Author:			Bob Arning

Once again allow projects on remote servers to be opened from the file list."!


!FileList methodsFor: 'file list menu' stamp: 'RAA 2/22/2002 06:03'!
fileSelectedMenu: aMenu

	| firstItems secondItems thirdItems n1 n2 n3 services |
	firstItems _ self itemsForFile: self fullName.
	secondItems _ self itemsForAnyFile.
	thirdItems _ self itemsForNoFile.
	n1 _ firstItems size.
	n2 _ n1 + secondItems size.
	n3 _ n2 + thirdItems size.
	services _ firstItems, secondItems, thirdItems, self serviceAllFileOptions.
	^ aMenu 
		addServices2: services 
		for: self
		extraLines: (Array with: n1 with: n2 with: n3)
! !


!PluggableFileList methodsFor: 'file list menu' stamp: 'RAA 2/22/2002 06:03'!
fileSelectedMenu: aMenu
	| firstItems secondItems thirdItems n1 n2 n3 services |
	firstItems _ self itemsForFile: self fullName asLowercase.
	secondItems _ self itemsForAnyFile.
	thirdItems _ self itemsForNoFile.
	n1 _ firstItems size.
	n2 _ n1 + secondItems size.
	n3 _ n2 + thirdItems size.
	services _ firstItems, secondItems, thirdItems, 
			(SimpleServiceEntry provider: self label: 'more...' selector: #offerAllFileOptions).
	^ aMenu 
		addServices2: services 
		for: self
		extraLines: (Array with: n1 with: n2 with: n3)
! !


!ProjectViewMorph class methodsFor: 'project window creation' stamp: 'RAA 2/22/2002 06:19'!
openFromFile: fileName
	
	self flag: #bob.		"better not to use this one. nil directories are not nice.
						see #openFromDirectoryAndFileName: or 
						#openFromDirectory:andFileName: instead"

	self halt.

	Project canWeLoadAProjectNow ifFalse: [^ self].
	^ProjectLoading openFromDirectory: nil andFileName: fileName! !

!ProjectViewMorph class methodsFor: 'project window creation' stamp: 'RAA 2/22/2002 06:19'!
openFromFileList: fullName
	
	self flag: #bob.		"not sent??"

	self halt.

	^self openFromFile:  fullName! !

!ProjectViewMorph class methodsFor: 'project window creation' stamp: 'RAA 2/22/2002 06:12'!
serviceOpenProjectFromFile
	"Answer a service for opening a .pr project file"

	^ (SimpleServiceEntry 
		provider: self 
		label: 'load as project'
		selector: #openFromDirectoryAndFileName:
		description: 'open project from file'
		buttonLabel: 'load'
	)
		argumentGetter: [ :fileList | fileList dirAndFileName]! !

