'From Squeak3.3alpha of 11 January 2002 [latest update: #4793] on 6 March 2002 at 1:49:05 pm'!
"Change Set:		ModuleFileOut
Date:			6 March 2002
Author:			Dan Ingalls

Resurrects the ability to do fileOut and printOut of an entire category from a browser.  this should probably be extended to proper module formats in the near future."!


!ModularSystemOrganizer methodsFor: 'obsolete methods' stamp: 'di 3/6/2002 11:48'!
fileOutCategory: category on: aFileStream initializing: aBool
	"Store on the file associated with aFileStream, all the classes associated 
	with the category and any requested shared pools."

	| first classes |
	classes _ (self superclassOrder: category).
	first _ true.
	classes do: 
		[:class | 
		first
			ifTrue: [first _ false]
			ifFalse: [aFileStream cr; nextPut: Character newPage; cr].
		class
			fileOutOn: aFileStream
			moveSource: false
			toFile: 0
			initializing: false].
	aBool ifTrue:[classes do:[:cls| cls fileOutInitializerOn: aFileStream]].! !


!Module methodsFor: 'accessing' stamp: 'di 3/6/2002 11:53'!
allClasses
	"Answer a SortedCollection of all class names."
	| classes |
	classes _ OrderedCollection new.
	self allClassesDo: [:class | classes add: class].
	^ classes! !

