'From Squeak3.3alpha of 12 January 2002 [latest update: #4803] on 17 March 2002 at 4:23:20 pm'!
"Change Set:		classRefs-sw
Date:			17 March 2002
Author:			Scott Wallace

Cleans up the problem that references-to-symbol queries were putting up an inappropriate informer on any symbol that was both a submodule-name and a class name -- e.g. Browser, Debugger, FileList"!


!VirtualRootModule methodsFor: 'lookups' stamp: 'sw 3/17/2002 16:21'!
browseAllReferencesTo: varName
	"Answer a dictionary of module->value pairs. Searc all modules in the system."
	
	| assoc any allCalls |
	any _ false.
	(self modulesDefining: varName) keysDo: [:module |
		assoc _ module definedNames associationAt: varName.
		allCalls _ Smalltalk allCallsOn: assoc.
		allCalls size > 0 ifTrue:
			[any _ true.
			Smalltalk 
				browseMessageList: allCalls asSortedCollection
				name: 'methods that use ', varName, String cr, ' as defined in ', module pathAsMessages
				autoSelect: varName]].
	any ifFalse:
		[self inform: 'there are no references to ', varName]! !

