'From Squeak3.2gamma of 15 January 2002 [latest update: #4881] on 14 June 2002 at 9:30:17 am'!
"Change Set:		workspaceNameFix-nk
Date:			14 June 2002
Author:			Ned Konz

If a Workspace is set to create textual references to dropped morphs and you drop a morph whose external name contains (for instance) a hyphen, you will be unable to refer to this binding easily in the Workspace.

This change set fixes this problem by running the generated name through String>>asIdentifier:."!


!Workspace methodsFor: 'drag and drop' stamp: 'nk 6/14/2002 09:26'!
acceptDroppingMorph: dropee event: evt inMorph: targetMorph 
	"Return the dropee to its old position, and add a reference to it at the cursor point."
	| bindingName |

	bindingName _  (dropee externalName translateToLowercase, dropee identityHash printString) asIdentifier: false.
	targetMorph correctSelectionWithString: bindingName, ' '.
	(self bindingOf: bindingName) value: dropee.
	dropee rejectDropMorphEvent: evt.
	^ true "success"
! !

