'From Squeak3.2 of 11 July 2002 [latest update: #4952] on 16 August 2002 at 8:14:17 pm'!
"Change Set:		HashChanges1
Date:			13 August 2002
Author:			Andres Valloud, Stephan Rudlof

Goals:
Implement an improved hash for large integers.
Refactor/rename some hash methods to make them more intention revealing.

Pass 1 - Implement refactoring so it can be bridged later.

sr: I have changed #byteAt: to #basicAt: to make it Slang compilable (and changed some var names)."!


!ByteArray class methodsFor: 'byte based hash' stamp: 'SqR 8/21/2002 16:21'!
hashBytes: aByteArray startingWith: speciesHash
	"Answer the hash of a byte-indexed collection,
	using speciesHash as the initial value.
	See SmallInteger>>hashMultiply.

	The primitive should be renamed at a
	suitable point in the future"

	| byteArraySize hash low |
	<primitive: 'primitiveStringHash' module: 'MiscPrimitivePlugin'>

	self var: #aHash declareC: 'int speciesHash'.
	self var: #aByteArray declareC: 'unsigned char *aByteArray'.

	byteArraySize _ aByteArray size.
	hash _ speciesHash bitAnd: 16rFFFFFFF.
	1 to: byteArraySize do: [:pos |
		hash _ hash + (aByteArray basicAt: pos).
		"Begin hashMultiply"
		low _ hash bitAnd: 16383.
		hash _ (16r260D * low + ((16r260D * (hash bitShift: -14) + (16r0065 * low) bitAnd: 16383) * 16384)) bitAnd: 16r0FFFFFFF.
	].
	^ hash! !

