'From Squeak3.6alpha of ''17 March 2003'' [latest update: #5259] on 12 June 2003 at 4:08:56 pm'!
"Change Set:		smtpClient-fix
Date:			12 June 2003
Author:			Michael Rueger, Markus Gaelli

Fixes a problem with the SMTP client that was introduced when adding the auth support. If no user is set the login will be skipped automagically."!


!SMTPClient methodsFor: 'private protocol' stamp: 'mir 6/12/2003 15:47'!
initiateSession
	"HELO <SP> <domain> <CRLF>"

	"self checkResponse."
	self sendCommand: 'HELO ' , NetNameResolver localHostName.
	self checkResponse.
! !

!SMTPClient methodsFor: 'private protocol' stamp: 'mir 6/12/2003 15:39'!
login
	self user ifNil: [^self].
	self sendCommand: 'AUTH LOGIN ' , (self encodeString: self user).
	[self checkResponse]
		on: TelnetProtocolError
		do: [ :ex | ex isCommandUnrecognized ifTrue: [^ self] ifFalse: [ex pass]].
	self sendCommand: (self encodeString: self password).
	self checkResponse! !

