'From Squeak3.5 of ''11 April 2003'' [latest update: #5180] on 11 May 2003 at 10:28:50 pm'!
"Change Set:		KCP-0070-FixSmalltalkReferenceInBrowser
Date:			11 May 2003
Author:			stephane ducasse

Fix a Smalltalk reference in Browser that should be a self systemNavigation one."!


!Browser methodsFor: 'message functions' stamp: 'sd 5/11/2003 21:01'!
removeMessage
	"If a message is selected, create a Confirmer so the user can verify that  
	the currently selected message should be removed from the system. If 
	so,  
	remove it. If the Preference 'confirmMethodRemoves' is set to false, the 
	confirmer is bypassed."
	| messageName confirmation |
	messageListIndex = 0
		ifTrue: [^ self].
	self okToChange
		ifFalse: [^ self].
	messageName _ self selectedMessageName.
	confirmation _ self systemNavigation   confirmRemovalOf: messageName on: self selectedClassOrMetaClass.
	confirmation == 3
		ifTrue: [^ self].
	self selectedClassOrMetaClass removeSelector: self selectedMessageName.
	self messageListIndex: 0.
	self changed: #messageList.
	self setClassOrganizer.
	"In case organization not cached"
	confirmation == 2
		ifTrue: [self systemNavigation browseAllCallsOn: messageName]! !

