'From Squeak3.6alpha of ''17 March 2003'' [latest update: #5278] on 27 June 2003 at 11:31:15 pm'!
"Change Set:		KCP-0094-FixItsyVoltage
Date:			27 June 2003
Author:			stephane ducasse

Fix the method PowerManagement>>itsyVoltage"!


!PowerManagement class methodsFor: 'computing' stamp: 'sd 6/27/2003 23:30'!
itsyVoltage
	"On the Itsy, answer the approximate Vcc voltage. The Itsy will shut 
	itself down when this value reaches 2.0 volts. This method allows one to 
	build a readout of the current battery condition."
	| n |
	n _ Smalltalk getSystemAttribute: 1200.
	n
		ifNil: [^ 'no voltage attribute'].
	^ (n asNumber / 150.0 roundTo: 0.01) asString , ' volts'! !

