'From Squeak 2.3 beta of Nov 25, 1998 on 13 January 1999 at 12:26:51 pm'!

!FontSet commentStamp: 'di 1/13/1999 12:19' prior: 0!
FontSet provides a mechanism for storing a set of fonts as a class that can be conveniently filedOut, filedIn, and installed as a TextStyle.

The most common use is...
	Find a font you like.
	Use BitFont to convert a bunch of sizes to data files named, eg, LovelyNN.BF
	Use FontSet convertFontsNamed: 'Lovely' to produce a FontSet named Lovely.
	FileOut that FontSet for later use.
	Use Lovely installAsTextStyle to make all sizes available in a TextStyle
		named #Lovely in the TextConstants dictionary.
	Use ctrl-k in any text pane to select the new Lovely style for that paragraph.
	Then use cmd-1 through 5 or cmd-k to set the point-size for any selection.
!

!FontSet class methodsFor: 'as yet unclassified' stamp: 'di 1/13/1999 12:10'!
installAsTextStyle   "HelveticaB installAsTextStyle"
	(TextConstants includesKey: self name) ifTrue:
		[(self confirm: 
self name , ' is already defined in TextConstants.
Do you want to replace that definition?')
			ifFalse: [^ self]].
	TextConstants at: self name put:
		(TextStyle fontArray:
			((self class selectors select: [:s | s beginsWith: 'size']) asSortedCollection
				collect: [:sizeName | self perform: sizeName]))! !


