'From Squeak 2.3 of January 14, 1999 on 2 February 1999 at 7:55:25 pm'!
"Change Set:		DisplayTextTweak
Date:			2 February 1999
Author:			Dan Ingalls

Fixes displayText display so that when the background color is transparent it uses Form paint as the display rule.  This makes the class example work again, and also makes, eg, the primitiveDebug stack trace that uses DisplayText work properly in RGB color modes (used to be all black).
"!


!DisplayText methodsFor: 'displaying' stamp: 'di 2/2/1999 17:12'!
displayOn: aDisplayMedium at: aDisplayPoint clippingBox: clipRectangle rule: ruleInteger fillColor: aForm 
	"Refer to the comment in 
	DisplayObject|displayOn:at:clippingBox:rule:mask:."

	self form
		displayOn: aDisplayMedium
		at: aDisplayPoint + offset
		clippingBox: clipRectangle
		rule: ((ruleInteger = Form over and: [backColor isTransparent])
				ifTrue: [Form paint]
				ifFalse: [ruleInteger])
		fillColor: aForm! !


