'From Squeak3.1alpha of 5 February 2001 [latest update: #3752] on 1 March 2001 at 11:20:22 am'!
"Change Set:		expungePreference-sw
Date:			1 March 2001
Author:			Scott Wallace

Provides a mechanism for removing a preference."!


!Preferences class methodsFor: 'initialization' stamp: 'sw 2/27/2001 20:49'!
expungePreferenceNamed: aSymbol
	"Remove all memory of the given preference symbol in my various structures."

	| aMethod |
	FlagDictionary removeKey: aSymbol ifAbsent: [].
	HelpDictionary removeKey: aSymbol ifAbsent: [].
	FlagsHeldByProjects removeKey: aSymbol ifAbsent: [].
	(self class organization listAtCategoryNamed: 'initial values' asSymbol) do:
		[:aSelector | aSelector numArgs = 0 ifTrue:
			[aMethod _ self class compiledMethodAt: aSelector.
			(aMethod literals includes: aSymbol)
				ifTrue:
					[self class removeSelector: aSelector.
					Transcript cr; show: 'Removed method Preferences.', aSelector]]].
	self resetCategoryInfo.

"Preferences expungePreferenceNamed: #tileToggleInBrowsers"

! !

!Preferences class methodsFor: 'initialization' stamp: 'sw 2/27/2001 20:33'!
initializeHelpMessages
	"Initialize the preferences help messages from the initialization information found"

  	HelpDictionary _ IdentityDictionary new.
	self allPreferenceInitializationSpecs do:
		[:quad |
			quad size >= 4 ifTrue:
				[HelpDictionary at: quad first put: quad fourth]]

	"Preferences initializeHelpMessages"
! !

