'From Squeak3.2alpha of 4 October 2001 [latest update: #4441] on 25 October 2001 at 7:48 pm'!
"Change Set:		EtoyRenameFix
Date:			14 October 2001
Author:			Stephen Pair

Fixes the bug introduced in update 4361UniTile10 that brought about a halt when attempting to rename a script associated with a PasteUpMorph.

BugFixing Party @ Camp Smalltalk OOPSLA 2001.  
The Oct 11, 2001 bug report was:
1. Drag a holder out of the 'Supplies' bin
2. Open a viewer for the holder
3. Create a new script (by dragging out the 'emptyScript' tile)
4. Change the name of the script to anything
5. Hit return, and get a walkback.  MessageNotUnderstood: cards"!


!CardPlayer methodsFor: 'scripts-kernel' stamp: 'svp 10/15/2001 14:44'!
renameScript: oldSelector newSelector: newSelector
	"Find all buttons that fire this script and tell them the new name"

	| stack |
	super renameScript: oldSelector newSelector: newSelector.
	costume allMorphsDo: [:mm |
		self retargetButton: mm oldSelector: oldSelector newSelector: newSelector].

	stack _ costume valueOfProperty: #myStack.
	stack ifNotNil:
		[stack cards do: [:cc |
			cc privateMorphs do: [:pp | 
				pp allMorphsDo: [:mm |
					self retargetButton: mm oldSelector: oldSelector newSelector: newSelector]]]]! !

