'From Squeak3.2alpha of 4 October 2001 [latest update: #4441] on 25 October 2001 at 7:54:54 pm'!
"Change Set:		SyntaxErrorsOnFileIn
Date:			14 October 2001
Author:			Stephen Pair

BugFixing Party @ Camp Smalltalk OOPSLA 2001.  Fixes bug report from Sept 13, 2001:

If you get a syntax error during a fileIn, you should be able to correct it in the notifier, and then accept the corrected code from that window. If all is well, the method gets defined, and the fileIn continues. But it doesn't. Instead, you get... NonBooleanReceiver: proceed for truth."!


!Debugger methodsFor: 'private' stamp: 'svp 10/15/2001 15:44'!
process: aProcess controller: aController context: aContext isolationHead: projectOrNil

	super initialize.
	Smalltalk at: #MessageTally ifPresentAndInMemory: [:c | c new close].
	contents _ nil. 
	interruptedProcess _ aProcess.
	interruptedController _ aController.
	contextStackTop _ aContext.
	self newStack: (contextStackTop stackOfSize: 1).
	contextStackIndex _ 1.
	externalInterrupt _ false.
	selectingPC _ true.
	isolationHead _ projectOrNil.
	errorWasInUIProcess _ false.! !

