'From Squeak3.2alpha of 4 October 2001 [latest update: #4441] on 25 October 2001 at 7:47:13 pm'!
"Change Set:		EmphasisChangeFix
Date:			14 October 2001
Author:			Michael Hewner and Paul Palaszewski

BugFixing Party @ Camp Smalltalk OOPSLA 2001.  Fixes the Aug 30, 2001 bug report:

Bug: select a method to edit in a browser, mouse-click inside the (bold) selector name, then arrow-key down to the (non-bold) method text and start typing; the newly typed characters will still be in bold."!


!ParagraphEditor methodsFor: 'typing support' stamp: 'MPH 10/14/2001 14:10'!
readKeyboard
	"Key struck on the keyboard. Find out which one and, if special, carry 
	out the associated special action. Otherwise, add the character to the 
	stream of characters.  Undoer & Redoer: see closeTypeIn."

	| typeAhead char |
	typeAhead _ WriteStream on: (String new: 128).
	[sensor keyboardPressed] whileTrue: 
		[self deselect.
		 [sensor keyboardPressed] whileTrue: 
			[char _ sensor keyboardPeek.
			(self dispatchOnCharacter: char with: typeAhead) ifTrue:
				[self doneTyping.
				self setEmphasisHere.
				^self selectAndScroll; updateMarker].
			self openTypeIn].
		startBlock = stopBlock ifFalse: "save highlighted characters"
			[UndoSelection _ self selection]. 
		self zapSelectionWith: 
			(Text string: typeAhead contents emphasis: emphasisHere).
		typeAhead reset.
		startBlock _ stopBlock copy.
		sensor keyboardPressed ifFalse: 
			[self selectAndScroll.
			sensor keyboardPressed
				ifFalse: [self updateMarker]]]! !

