'From Squeak3.2alpha of 8 October 2001 [latest update: #4574] on 3 December 2001 at 1:16:30 pm'!
"Change Set:		extImageFix
Date:			3 December 2001
Author:			Michael Rueger

Fixes a problem with external images when the resource cache hadn't been initialized yet."!


!ResourceManager class methodsFor: 'resource caching' stamp: 'mir 12/3/2001 13:14'!
renameCachedResource: urlString to: newUrlString external: isExternal
	"A project was renamed. Reflect this change by duplicating the cache entry to the new url."
	| candidates |
	CachedResources
		ifNil:[
			isExternal
				ifTrue: [self resourceCache "force init" ]
				ifFalse: [^self]].
	candidates _ CachedResources at: urlString ifAbsent:[nil].
	(candidates isNil or:[candidates size = 0])
		ifFalse: [
		candidates do: [:candidate |
			self addCacheLocation: candidate for: newUrlString]].
	isExternal
		ifTrue: [self relocatedExternalResource: urlString to: newUrlString]! !

