'From Squeak3.2alpha of 3 October 2001 [latest update: #4599] on 4 January 2002 at 11:46:31 am'!
"Change Set:		showTilesFix-rhi
Date:			4 January 2002
Author:			Robert Hirschfeld

There was a typo in CodeHolder>>showTiles: that wasn't detected by the compiler since the instance variable named 'contents' masked the symbol #contents to be used in the change notification."!


!CodeHolder methodsFor: 'tiles' stamp: 'rhi 1/4/2002 11:15'!
showTiles: aBoolean
	"Set the showingTiles as indicated.  The fact that there are initially no senders of this reflects that fact that initially this trait is only directly settable through the UI; later there may be senders, such as if one wanted to set a system up so that all newly-opened browsers showed tiles rather than text."

	aBoolean
		ifTrue:
			[contentsSymbol _ #tiles]
		ifFalse:
			[contentsSymbol == #tiles ifTrue: [contentsSymbol _ #source]].
	self setContentsToForceRefetch.
	self changed: #contents! !

