'From Squeak3.3alpha of 18 January 2002 [latest update: #4928] on 27 July 2002 at 1:21:59 am'!
"Change Set:		parameterMenuIcon-sw
Date:			27 July 2002
Author:			Scott Wallace

Published to 3.3a as 4929parameterMenuIcon-sw.cs.

Use a black triangle as the type-menu icon on a parameter tile, as per suggestion from Alan."!


!TypeListTile methodsFor: 'initialization' stamp: 'sw 7/27/2002 01:05'!
initialize
	"Initialize the receiver.  Cheesily, we use the extension arrow graphic for a menu icon temporarily"

	super initialize.
	self addMenuIcon! !

!TypeListTile methodsFor: 'arrows' stamp: 'sw 7/27/2002 01:05'!
addMenuIcon
	"Add a little menu icon; store it in my suffixArrow slot"

	suffixArrow _ ImageMorph new image: (ScriptingSystem formAtKey: #MenuTriangle).
	suffixArrow setBalloonText: 'click here to choose a new type for this parameter'.
	self addMorphBack: suffixArrow! !

"Postscript:"
ScriptingSystem saveForm: (Form extent: 11@7 depth: 16
	fromArray: #( 69272609 69272609 69272609 69272609 69272609 69271552 1057 69272609 69272609 69272609 69272609 0 0 69272609 69272609 69272609 69271552 0 0 1057 69272609 69272609 69271552 0 0 1057 69272609 69272609 0 0 0 0 1057 69271552 0 0 0 0 1057 0 0 0)
	offset: 0@0) atKey: #MenuTriangle.
!

