'From Squeak3.4 of ''1 March 2003'' [latest update: #5171] on 16 April 2003 at 3:30:25 pm'!
"Change Set:		updateServerMig-mir
Date:			16 April 2003
Author:			Michael Rueger

Migrates the backup update server from squeaklet.com to squeakfoundation.org"!

"Postscript: "

| urlList server serverName |

"Remove obsolete server entries"

#( 'UpdatesAtSqueak.org' 'SqueakletsOnDani' 'UpdatesAtKitchen'  'UpdatesExtAtKitchen' 'UpdatesExtAtKitchen2' 'squeaklet.com') do: [:each | ServerDirectory removeServerNamed: each ifAbsent: []].

urlList := Utilities updateUrlLists.
urlList removeAll: urlList copy.
urlList addAll:
{ 
 {'SqC Internal Updates*'. 
  {'squeak.cs.uiuc.edu/Squeak2.0/'. 'update.squeakfoundation.org/external/'. }.}. 
 {'Squeak Public Updates'. 
  {'squeak.cs.uiuc.edu/Squeak2.0/'. 'update.squeakfoundation.org/external/'. }.}. 
 {'European Squeak Updates'. 
  {'www.gsug.org/Squeak2.0/'. }.}.
} asOrderedCollection.



server _ ServerDirectory new type: #ftp.
serverName _ 'ftp.theinternetone.net'.
server
	directory: 'html/external/updates';
	server: 'ftp.theinternetone.net';
	user: 'jto19449';
	groupName: 'SqC Internal Updates*';
	altUrl: 'http://update.squeakfoundation.org/external/';
	yourself.
ServerDirectory addServer: server named: serverName.
!

