'From Squeak3.6beta of ''4 July 2003'' [latest update: #5352] on 21 July 2003 at 9:41:43 am'!
"Change Set:		MailMessage-regenerateBodyFromParts
Date:			23 June 2003
Author:			Brent Vukmer

Calling MailMessage addAttachmentFrom:withName: several times in a row on a MailMessage object, then sending the MailMessage, did not work as expected; namely, the MIME attachments did not all get sent.  This fix simply adds a CR in the right place.  This is a 1-line fix."!


!MailMessage methodsFor: 'printing/formatting' stamp: 'bkv 6/23/2003 14:17'!
regenerateBodyFromParts
	"regenerate the message body from the multiple parts"
	| bodyText |

	bodyText := String streamContents: [ :str |
		str cr.
		parts do: [ :part |
			str
				cr;
				nextPutAll: '--';
				nextPutAll: self attachmentSeparator;
				cr;
				nextPutAll: part text ].
	
		str
			cr;
			nextPutAll: '--';
			nextPutAll: self attachmentSeparator;
			nextPutAll: '--';
			cr ].

	body := MIMEDocument contentType: 'multipart/mixed' content: bodyText.
	text := nil.  "text needs to be reformatted"! !

