'From Squeak3.6beta of ''4 July 2003'' [latest update: #5331] on 7 July 2003 at 7:27:31 pm'!
"Change Set:		InvalidDoIts-cwp
Date:			7 July 2003
Author:			Colin Putney

This change set provides a different fix for the same problem that Ned 
originally noticed. Instead of having PackageInfo check for stray 
DoIts, MethodReference>>isValid, should return false if it refers to a 
DoIt.

MethodReference>>isValid is only used in Utilities and PackageInfo, and 
we don't want DoIts showing up as methods in either case. It's unlikely 
that there are any packages out there that depend on DoIts showing up 
as valid methods.
"!


!MethodReference methodsFor: 'queries' stamp: 'cwp 7/7/2003 17:44'!
isValid
	"Answer whether the receiver represents a current selector or Comment"

	| aClass |
	(#(DoIt DoItIn:) includes: methodSymbol) ifTrue: [^ false].
	(aClass _ self actualClass) ifNil: [^ false].
	^ (aClass includesSelector: methodSymbol) or:
		[methodSymbol == #Comment]! !

