'From Squeak3.4 of 1 March 2003 [latest update: #5170] on 3 April 2003 at 7:33:34 pm'!
"Change Set:		HorizontalScrollBarMissingLeftButton
Date:			3 April 2003
Author:			Hernn Tylim

This change set fix a problem with the left arrow button of the horizontal scrollbars.

The slider's bounds on horizontal scrollbars were wrongly calculated causing the slider to block the left arrow button.

This cs fix the method that calculates the slider bounds (ScrollBar>>totalSliderArea)."!


!ScrollBar methodsFor: 'geometry' stamp: 'hpt 4/3/2003 19:18'!
totalSliderArea
	| upperBoundsButton |
	upperBoundsButton _ menuButton ifNil: [upButton].
	bounds isWide
		ifTrue: [
			upButton right > upperBoundsButton right
				ifTrue: [upperBoundsButton _ upButton].
			^upperBoundsButton bounds topRight corner: downButton bounds bottomLeft]
		ifFalse:[
			upButton bottom > upperBoundsButton bottom
				ifTrue: [upperBoundsButton _ upButton].
			^upperBoundsButton bounds bottomLeft corner: downButton bounds topRight].
! !

