'From Squeak3.6 of ''6 October 2003'' [latest update: #5424] on 28 October 2003 at 3:50:57 pm'!
"Change Set:		alphaRules-bf
Date:			28 October 2003
Author:			Bert Freudenberg

Readability fix: Uses symbolic constants instead of numbers to denote alpha blend rules. Otherwise, Form>>paintAlpha and Form>>blendAlpha would appear unused, when in fact, they are."!


!AlphaBlendingCanvas methodsFor: 'private' stamp: 'bf 10/28/2003 15:46'!
image: aForm at: aPoint sourceRect: sourceRect rule: rule
	"Draw the given form. For the 'paint' combination rule use stenciling otherwise simply fill the source rectangle."
	rule = Form paint ifTrue:[
		^myCanvas
			image: aForm
			at: aPoint
			sourceRect: sourceRect
			rule: Form paintAlpha
			alpha: alpha.
	].
	rule = Form over ifTrue:[
		^myCanvas
			image: aForm
			at: aPoint
			sourceRect: sourceRect
			rule: Form blendAlpha
			alpha: alpha.
	].! !

