'From Squeak3.7alpha of ''11 September 2003'' [latest update: #5420] on 1 December 2003 at 4:43:39 pm'!
"Change Set:		ifEmpty-etc-jf
Date:			1 December 2003
Author:			Julian Fitzell

Ned submitted a fix back in September for several RB issues.  One of the pieces of that fix was the set of ifEmpty/ifNotEmpty methods.  There was some discussion and it was agreed that they should all take 0-arg blocks in all their forms and we could add #ifEmptyDo:, etc. at a later point if desired.  No revised fix for these methods was submitted and they never made it in.

So I wrote them up and here they are."!


!Collection methodsFor: 'testing' stamp: 'jf 12/1/2003 15:37'!
ifEmpty: aBlock
	"Evaluate the block if I'm empty"

	^ self isEmpty ifTrue: aBlock! !

!Collection methodsFor: 'testing' stamp: 'jf 12/1/2003 15:39'!
ifEmpty: emptyBlock ifNotEmpty: notEmptyBlock
	"Evaluate emptyBlock if I'm empty, notEmptyBlock otherwise"

	^ self isEmpty ifTrue: emptyBlock ifFalse: notEmptyBlock! !

!Collection methodsFor: 'testing' stamp: 'jf 12/1/2003 15:37'!
ifNotEmpty: aBlock
	"Evaluate the block unless I'm empty"

	^ self isEmpty ifFalse: aBlock! !

!Collection methodsFor: 'testing' stamp: 'jf 12/1/2003 15:47'!
ifNotEmpty: notEmptyBlock ifEmpty: emptyBlock
	"Evaluate emptyBlock if I'm empty, notEmptyBlock otherwise"

	^ self isEmpty ifFalse: notEmptyBlock ifTrue: emptyBlock! !

