'From Squeak3.7alpha of ''11 September 2003'' [latest update: #5595] on 21 December 2003 at 5:32:22 pm'!
"Change Set:		mvcFileListMore-asm
Date:			21 December 2003
Author:			Alejandro Magistrello

in a MVC project open a FileList, select a file, get the shifted menu, click on the more.. item.
i get a CustomMenu dnu: submorphs.
this adds a another isMorphic check
"!


!FileList methodsFor: 'file list menu' stamp: 'asm 12/21/2003 17:13'!
fullFileListMenu: aMenu shifted: aBoolean
	"Fill the menu with all possible items for the file list pane, regardless of selection."

	| lastProvider |
	aMenu title: 'all possible file operations'.
	Smalltalk isMorphic ifTrue: [aMenu addStayUpItemSpecial].

	lastProvider _ nil.
	(self itemsForFile: 'a.*') do: [ :svc |
		(lastProvider notNil and: [svc provider ~~ lastProvider])
			ifTrue: [ aMenu addLine ].
		aMenu add: svc label target: svc selector: svc requestSelector argument: (svc getArgumentsFrom: self).
		Smalltalk isMorphic ifTrue: [aMenu submorphs last setBalloonText: svc description].
		lastProvider _ svc provider.
		svc addDependent: self.
	].

	^aMenu! !

