'From Squeak3.7beta of ''1 April 2004'' [latest update: #5948] on 9 June 2004 at 9:57 am'!
"Change Set:		ProjectViewInWindowExpungeFix-nk
Date:			9 June 2004
Author:			Ned Konz

This fixes the inability to delete project view windows, when:
* the Preference projectViewsInWindows is set
* you have a ProjectViewMorph that is in a SystemWindow
* you hold the mouse down on the ProjectViewMorph until you see its menu
* you choose 'expunge this project'
* the project and ProjectViewMorph go away, but
* you can't delete the remaining window.

"!


!ProjectViewMorph methodsFor: 'as yet unclassified' stamp: 'nk 6/9/2004 09:56'!
expungeProject
	(self confirm: ('Do you really want to delete {1}
and all its content?' translated format: {project name}))
		ifFalse: [^ self].
	owner isSystemWindow
		ifTrue: [owner model: nil;
				 delete].
	ProjectHistory forget: project.
	Project deletingProject: project! !

