'From Squeak3.8alpha of ''17 July 2004'' [latest update: #5976] on 17 August 2004 at 10:12:30 pm'!
"Change Set:		TTCFontFixes-dgd
Date:			17 August 2004
Author:			Diego Gomez Deck

Two new methods to make TTCFont polymorphic with StrikeFont"!


!TTCFont methodsFor: 'accessing' stamp: 'dgd 8/17/2004 22:10'!
fontNameWithPointSize
	^ self name withoutTrailingDigits , ' ' , self pointSize printString! !

!TTCFont methodsFor: 'character shapes' stamp: 'dgd 8/17/2004 22:11'!
characterFormAt: character 
	"Answer a Form copied out of the glyphs for the argument,  
	character."
	^ self computeForm: character! !


!TTCFont reorganize!
('accessing' ascent ascentOf: descent descentKern descentOf: emphasis emphasis: emphasized: fallbackFont: familyName familySizeFace fontNameWithPointSize height lineGrid maxAscii minAscii name pixelSize pixelSize: pointSize pointSize: textStyle)
('caching' releaseCachedState reset)
('character shapes' characterFormAt:)
('copying' copy deepCopy objectForDataStream: veryDeepCopyWith:)
('file in/out' encodedForRemoteCanvas)
('friend' cache derivativeFont: derivativeFonts displayString:on:from:to:at:kern: flushCache initialize installOn:foregroundColor:backgroundColor: recreateCache ttcDescription ttcDescription:)
('objects from disk' convertToCurrentVersion:refStream:)
('printing' printOn:)
('public' depth foregroundColor size widthOf:)
('testing' isRegular isTTCFont)
('private' at:put: computeForm: formOf: indexOfSubfamilyName: scale)
!

