'From Squeakland 3.8.5976 of 25 August 2004 [latest update: #301] on 2 September 2004 at 7:40:26 pm'!
"Change Set:		ShowCategoriesOfScriptsFix-nk
Date:			2 September 2004
Author:			Ned Konz


If you have a Viewer open that is only showing the 'scripts' category, and you open its menu and choose 'show categories' you get a walkback.

The attached is a quick fix for the problem.
"!


!CategoryViewer methodsFor: 'categories' stamp: 'nk 9/2/2004 19:37'!
showCategoriesFor: aSymbol
	"Put up a pop-up list of categories in which aSymbol is filed; replace the receiver with a CategoryViewer for the one the user selects, if any"

	| allCategories aVocabulary hits meths chosen |
	aVocabulary _ self currentVocabulary.
	allCategories _ scriptedPlayer categoriesForVocabulary: aVocabulary limitClass: ProtoObject.

	hits _ allCategories select:
		[:aCategory | 
			meths _ aVocabulary allMethodsInCategory: aCategory forInstance: scriptedPlayer ofClass: scriptedPlayer class.
			meths includes: aSymbol].

	hits isEmpty ifTrue: [ ^self ].

	chosen _ (SelectionMenu selections: hits) startUp.
	chosen isEmptyOrNil ifFalse:
		[self outerViewer addCategoryViewerFor: chosen atEnd: true]

	! !

