'From Squeakland 3.8.5976 of 25 August 2004 [latest update: #324] on 7 September 2004 at 12:48:41 pm'!
"Change Set:		BlockDecompileFix-nk
Date:			7 September 2004
Author:			Your Name

I was getting walkbacks in the debugger because of blocks sometimes not decompiling right (esp. in primitives).

This fixes the problem I saw.
"!


!MessageNode methodsFor: 'printing' stamp: 'nk 9/7/2004 12:34'!
printWhileOn: aStream indent: level

	aStream dialect = #SQ00
		ifTrue: ["Add prefix keyword"
				aStream withStyleFor: #prefixKeyword
						do: [aStream nextPutAll: (selector key == #whileTrue:
									ifTrue: ['While '] ifFalse: ['Until '])].
				self printParenReceiver: receiver on: aStream indent: level + 1.
				self printKeywords: #do: arguments: arguments
					on: aStream indent: level prefix: true]
		ifFalse: [self printReceiver: receiver on: aStream indent: level.
				(arguments isEmpty not and: [ arguments first isJust: NodeNil]) ifTrue:
						[selector _ SelectorNode new
								key: (selector key == #whileTrue:
									ifTrue: [#whileTrue] ifFalse: [#whileFalse])
								code: #macro.
						arguments _ Array new].
				self printKeywords: selector key arguments: arguments
					on: aStream indent: level]! !

