'From Squeakland 3.8.5976 of 25 August 2004 [latest update: #324] on 7 September 2004 at 12:49:57 pm'!
"Change Set:		MessageSetFilterFix-nk
Date:			7 September 2004
Author:			Your Name

In some cases when you filter a message set containing comments you get a walkback.

This CS fixes that problem.
"!


!MessageSet methodsFor: 'filtering' stamp: 'nk 9/7/2004 11:54'!
filterFrom: aBlock
	"Filter the receiver's list down to only those items that satisfy aBlock, which takes a class an a selector as its arguments."

	| newList |
	newList _ messageList select:
		[:anElement |
			self class parse: anElement toClassAndSelector: [ :cls :sel | 
				(self class isPseudoSelector: sel) not and: [  aBlock value: cls value: sel ]]].
	self setFilteredList: newList! !

