'From Small-Land 3.8-5976-0266 of 2 September 2004 [latest update: #5976] on 7 September 2004 at 5:40:08 pm'!
"Change Set:		ImageMorphTranslucentFix-dgd
Date:			7 September 2004
Author:			Diego Gomez Deck

Support for forms with transparent color in ImageMorph.

One line change in ImageMorph>>drawOn: to send #translucentImage:at: instead of #paintImage:at:

To take benefit from this feature you have to use 32 bits depth. (In lower resolutions the result is the same than today).

Evaluate the following before and after this changeset to see the difference.

| stream form |
stream _ HTTPSocket httpGet: 'http://swiki.agro.uba.ar/small_land/uploads/234/transparent-test.png'.
stream binary; reset.
form := ImageReadWriter formFromStream: stream.
ImageMorph new image: form; openInWorld.

"!


!ImageMorph methodsFor: 'drawing' stamp: 'dgd 9/7/2004 17:24'!
drawOn: aCanvas
	| style |
	(style _ self borderStyle) ifNotNil:[
		style frameRectangle: bounds on: aCanvas.
	].
	self isOpaque
		ifTrue:[aCanvas drawImage: image at: self innerBounds origin]
		ifFalse:[aCanvas translucentImage: image at: self innerBounds origin]! !

