'From Squeak3.8gamma of ''24 November 2004'' [latest update: #6485] on 2 December 2004 at 12:00:47 am'!
"Change Set:		fixBrowserDefault-md
Date:			2 December 2004
Author:			Marcus Denker

Fix for Mantis Bug #427

Browser choice menu has no default
 after updating from 3.8alpha, opening a browser presents a choice. If neither is chosen, a walkback occurs."!


!AppRegistry class methodsFor: 'as yet unclassified' stamp: 'md 12/1/2004 23:58'!
askForDefault
	| menu |
	self registeredClasses isEmpty ifTrue:
		[self inform: 'There are no ', self appName, ' applications registered.'.
		^ default _ nil].
	self registeredClasses size = 1 ifTrue:
		[^ default _ self registeredClasses anyOne].
	
	menu _ CustomMenu new.
	self registeredClasses do: [:c | menu add: c name printString action: c].
	default _  menu startUpWithCaption: 'Which ', self appName, ' would you prefer?'.
	default ifNil: [default := self registeredClasses first].
	^default.! !

