'From Squeak3.9alpha of 4 July 2005 [latest update: #6676] on 9 July 2005 at 11:14:16 pm'!
"Change Set:		6678AddMasterRepos-dew
Date:			9 July 2005
Author:			Doug Way

Add 'master' Monticello repositories (in addition to the 3.9a repository) for each of the 35 packages.

Only four of them have real master repositories: Monticello, MonticelloConfigurations, SMBase and SMLoader.  The rest all just use the 'Submissions' repository at source.squeakfoundation.org for now."

	"Add the master repositories for the four established packages."
	pkgNames _ #('Monticello' 'MonticelloConfigurations' 'SMLoader' 'SMBase').
	urls _ #('http://kilana.unibe.ch:8888/Monticello' 'http://source.impara.de/mc' 'http://modules.squeakfoundation.org/People/gk/' 'http://modules.squeakfoundation.org/People/gk/').
	pkgNames with: urls do:
		[:pkgName :url |
			wc := (MCPackage named: pkgName) workingCopy.
			wc repositoryGroup addRepository:
					(MCHttpRepository
						location: url
						user: 'squeak'
						password: 'squeak')].

	"Add the 'submissions' repo as the master repository for all other packages."
	mostPackageNames _ #('Kernel' 'Collections' 'Graphics' 'Files' 'Network' 'Exceptions' 'Morphic' 'Compiler' 'Balloon' 'Compression' 'FFI' 'Movies' 'Multilingual' 'Nebraska' 'PackageInfo' 'Protocols' 'SmaCC' 'Sound' 'Speech' 'ST80' 'StarSqueak' 'SUnit' 'System' 'Tools' 'VersionNumber' 'Tests' 'CollectionsTests' 'GraphicsTests' 'KernelTests' 'MorphicTests' 'NetworkTests').
	submissionsRepo _ MCHttpRepository
	    location: 'http://source.squeakfoundation.org/inbox'
	    user: 'squeak'
	    password: 'squeak'.
	mostPackageNames do:
		[:pkgName | | wc |
		wc := (MCPackage named: pkgName) workingCopy.
		wc repositoryGroup addRepository: submissionsRepo].
!

