'From Squeak3.7 of ''4 September 2004'' [latest update: #5989] on 7 January 2005 at 12:28:33 pm'!

!FlapTab methodsFor: 'access' stamp: 'MAL 1/7/2005 12:25'!
orientation
	^ (#left == edgeToAdhereTo or: [#right == edgeToAdhereTo])
		ifTrue:		[#vertical]
		ifFalse:		[#horizontal]! !

!FlapTab methodsFor: 'edge' stamp: 'MAL 1/7/2005 12:20'!
edgeToAdhereTo: e
	edgeToAdhereTo _ e asSymbol! !

!FlapTab methodsFor: 'edge' stamp: 'MAL 1/7/2005 12:24'!
setEdge: anEdge
	"Set the edge as indicated, if possible"

	| newOrientation e |
	e _ anEdge asSymbol.
	self edgeToAdhereTo = anEdge ifTrue: [^ self].
	newOrientation _ nil.
	self orientation == #vertical
		ifTrue: [(#top == e or: [#bottom == e]) ifTrue:
					[newOrientation _ #horizontal]]
		ifFalse: [(#top == e or: [#bottom == e]) ifFalse:
					[newOrientation _ #vertical]].
	self edgeToAdhereTo: e.
	newOrientation ifNotNil: [self transposeParts].
	referent isInWorld ifTrue: [self positionReferent].
	self adjustPositionVisAVisFlap! !

!FlapTab methodsFor: 'positioning' stamp: 'MAL 1/7/2005 11:22'!
fitOnScreen
	"19 sept 2000 - allow flaps in any paste up"
	| constrainer t l |
	constrainer _ owner ifNil: [self].
	self flapShowing "otherwise no point in doing this"
		ifTrue:[self spanWorld].
	self orientation == #vertical ifTrue: [
		t _ ((self top min: (constrainer bottom- self height)) max: constrainer top).
		t = self top ifFalse: [self top: t].
	] ifFalse: [
		l _ ((self left min: (constrainer right - self width)) max: constrainer left).
		l = self left ifFalse: [self left: l].
	].
	self flapShowing ifFalse: [self positionObject: self atEdgeOf: constrainer].
! !

