'From Squeak 2.5 of August 6, 1999 [latest update: #1538] on 11 October 1999 at 4:51:24 pm'!
"Change Set:		BezierFix
Date:			11 October 1999
Author:			Andreas Raab

Fixes a problem with the number of segments when drawing bezier shapes."!


!BalloonEngine methodsFor: 'drawing' stamp: 'ar 10/11/1999 16:49'!
drawBezierShape: points fill: fillStyle borderWidth: borderWidth borderColor: borderFill transform: aTransform
	| fills |
	self edgeTransform: aTransform.
	self resetIfNeeded.
	fills _ self registerFill: fillStyle and: borderFill.
	self primAddBezierShape: points
		segments: (points size) // 3
		fill: (fills at: 1)
		lineWidth: borderWidth
		lineFill: (fills at: 2).
	self postFlushIfNeeded.! !


