'From Squeak2.7alpha of 2 November 1999 [latest update: #1698] on 7 December 1999 at 5:45:15 pm'!
"Change Set:		HelpForNewPrefs-mas
Date:			7 December 1999
Author:			Mark A. Schwenk

Adds help messages for the following recently added preferences:

        browserShowsPackagePane
        projectsSentToDisk
        scrollBarsNarrow
        scrollBarsOnRight
        scrollBarsWithoutMenuButton"!


!Preferences class methodsFor: 'help' stamp: 'mas 12/7/1999 17:34'!
initHelpMsgsD
	"Automatically called whenever you call

   	Preferences initializeHelpMessages
		or
	Preferences callHelpMessageInitializers

by virtue of its being in the 'help' category of Preferences class"

	#((browserShowsPackagePane
			'If true, choosing open browser from the World menu will open the Squeak Package Browser rather than the System Browser. The Package Browser includes a package pane which groups system categories into packages based on the initial portion of their category name.')
	(projectsSentToDisk
			'If true, entering a new project swaps it in and swaps out other projects as appropriate. Projects are swapped in and out as ImageSegments, stored as files on disk in an image segment folder associated with the current image.')
	(scrollBarsNarrow
			'If true, morphic scrollbars will be narrow.')
	(scrollBarsOnRight
			'If true, morphic scrollbars in subsequently opened windows will appear on the right side of their pane.')
	(scrollBarsWithoutMenuButton
			'If true, morphic scrollbars in subsequently opened windows will not include a menu button.')

	) do:

		[:pair | HelpDictionary at: pair first put: 
			(pair first, ':
', pair last)]
! !


"Postscript:
Rebuild the Preferences help message dictionary."
Preferences initializeHelpMessages!

