'From Squeak2.6 of 11 October 1999 [latest update: #1715] on 14 December 1999 at 7:49:12 am'!
"Change Set:		CollectionHash
Date:			14 December 1999
Author:			Yoshiki Ohshima, Dan Ingalls, and Bert Freudenberg

Provides a default hash function for all collections.
"!


!Collection methodsFor: 'comparing' stamp: 'di 12/14/1999 07:45'!
hash
	"A default hash function for any collection.  Note that this method is insensitive to contents when the size is greater than 10, so critical applications that compare many large collections of the same length will want to refine this behavior."

	| hash |
	hash _ self species hash.
	self size <= 10 ifTrue:
		[self do: [:elem | hash _ hash bitXor: elem hash]].
	^ hash bitXor: self size hash
! !


