'From Squeak2.6 of 11 October 1999 [latest update: #1753] on 3 January 2000 at 1:00:31 pm'!
"Change Set:		preDebug-tkMR
Date:			3 January 2000
Author:			Ted Kaehler

Allow morphic preDebug windows to use the full width for the message.  Widen the window to 450 pixels because it now says MessageNotUnderstood: instead of the previous shorter text."!


!Debugger methodsFor: 'initialize' stamp: 'tk 1/3/2000 12:57'!
buildMorphicNotifierLabelled: label message: messageString
	| notifyPane window contentTop extentV |
	window _ (PreDebugWindow labelled: label) model: self.

	"Preferences optionalMorphicButtons" true
		ifTrue:
			[contentTop _ 0.2.
			window addMorph: (self buttonRowForPreDebugWindow: window)
				frame: (0@0 corner: 1 @ contentTop).
			extentV _ 156]
		ifFalse:
			[extentV _ 116.
			contentTop _ 0].
	notifyPane _ PluggableTextMorph on: self text: nil accept: nil
		readSelection: nil menu: #debugProceedMenu:.
	notifyPane editString: messageString; askBeforeDiscardingEdits: false.
	window addMorph: notifyPane frame: (0@contentTop corner: 1@1).

	^ window openInWorldExtent: 450 @ extentV! !


!PreDebugWindow methodsFor: 'as yet unclassified' stamp: 'tk 1/3/2000 12:54'!
setLabelWidgetAllowance
	^ labelWidgetAllowance _ (Smalltalk isMorphic | Preferences optionalButtons)
		ifTrue:
			[super setLabelWidgetAllowance]
		ifFalse:
			[180]! !


