'From Squeak2.8alpha of 12 January 2000 [latest update: #1940] on 22 March 2000 at 4:07:30 pm'!
"Change Set:		FasterWorldMenu
Date:			22 March 2000
Author:			Dan Ingalls

Makes 'self world project' run incomparably faster most of the time.
"!


!Project class methodsFor: 'utilities' stamp: 'di 3/22/2000 16:07'!
ofWorld: aPasteUpMorph
	"Find the project of a world."

	"Usually it is the current project"
	self current world == aPasteUpMorph ifTrue: [^ self current].

	"Inefficient enumeration if it is not..."
	^ self allSubInstances
		detect:
		[:pr | pr world isInMemory 
			ifTrue: [pr world == aPasteUpMorph]
			ifFalse: [false]]
		ifNone: [nil]! !


