'From Squeak2.8alpha of 12 January 2000 [latest update: #1984] on 4 April 2000 at 5:05:41 pm'!
"Change Set:		ChgSetQFix
Date:			4 April 2000
Author:			Dan Ingalls

Another tweak having to do with moving changes that involve a newly-defined class.
"!


!ChangeSet methodsFor: 'testing' stamp: 'di 4/4/2000 16:55'!
belongsToAProject

	Smalltalk at: #Project ifPresent:
		[:projClass | projClass allSubInstancesDo:
			[:proj | proj projectChangeSet == self ifTrue: [^ true]]].
	^ false! !


!ClassChangeRecord methodsFor: 'all changes' stamp: 'di 4/4/2000 16:46'!
noteChangeType: changeSymbol fromClass: class

	(changeSymbol = #new or: [changeSymbol = #add]) ifTrue:
		[changeTypes add: #add.
		changeTypes remove: #change ifAbsent: [].
		^ self].
	changeSymbol = #change ifTrue:
		[(changeTypes includes: #add) ifTrue: [^ self].
		^ changeTypes add: changeSymbol].
	changeSymbol = #comment ifTrue:
		[^ changeTypes add: changeSymbol].
	changeSymbol = #reorganize ifTrue:
		[^ changeTypes add: changeSymbol].
	changeSymbol = #rename ifTrue:
		[^ changeTypes add: changeSymbol].
	(changeSymbol beginsWith: 'oldName: ') ifTrue:
		["Must only be used when assimilating other changeSets"
		(changeTypes includes: #add) ifTrue: [^ self].
		priorName _ changeSymbol copyFrom: 'oldName: ' size + 1 to: changeSymbol size.
		^ changeTypes add: #rename].
	changeSymbol = #remove ifTrue:
		[(changeTypes includes: #add)
			ifTrue: [changeTypes add: #addedThenRemoved]
			ifFalse: [changeTypes add: #remove].
		^ changeTypes removeAllFoundIn: #(add change comment reorganize)].

	self error: 'Unrecognized changeType'! !

