'From Squeak2.8alpha of 16 February 2000 [latest update: #1999] on 18 April 2000 at 4:21:48 pm'!
"Change Set:		TransformFixes-ar
Date:			18 April 2000
Author:			Andreas Raab

Fixes for resize problems when a flexed morph has been rotated before scaling it."!


!TransformationMorph methodsFor: 'accessing' stamp: 'ar 4/18/2000 16:21'!
extent: newExtent
	| scaleFactor |
	self adjustAfter:
		[scaleFactor _ (self scale * newExtent r / self fullBounds extent r) max: 0.1.
		self scale: (scaleFactor detentBy: 0.1 atMultiplesOf: 1.0 snap: false)]! !

!TransformationMorph methodsFor: 'accessing' stamp: 'ar 4/18/2000 15:53'!
scaleToFit: anExtent
	| scaleFactor |
	scaleFactor _ self scale * (anExtent r / self fullBounds extent r).
	scaleFactor _ scaleFactor < 1.0
		ifTrue: [scaleFactor detentBy: 0.05 atMultiplesOf: 0.25 snap: false]
		ifFalse: [scaleFactor detentBy: 0.1 atMultiplesOf: 0.5 snap: false].
	self scale: ((scaleFactor min: 8.0) max: 0.1).
	self extent: anExtent! !

!TransformationMorph methodsFor: 'change reporting' stamp: 'ar 4/18/2000 16:07'!
layoutChanged
	"Recompute bounds as a result of change"
	self hasSubmorphs ifTrue:
		[bounds _ (transform localBoundsToGlobal:
					(Rectangle merging:
						(self submorphs collect: [:m | m fullBounds]))) truncated
				expandBy: 1].
	super layoutChanged! !

