'From Squeak2.8alpha of 12 January 2000 [latest update: #2040] on 27 April 2000 at 10:48:52 am'!
"Change Set:		PreserveSelectionFix
Date:			27 April 2000
Author:			Dan Ingalls

Prevents loss of editor state when moving text with active keyboard focus.  While this may sound unlikely, it is what happens when you type into a field that gets realigned as a result of the edit.
"!


!TextMorph methodsFor: 'geometry' stamp: 'di 4/27/2000 10:37'!
privateMoveBy: delta

	editor == nil
		ifTrue: [super privateMoveBy: delta.
				paragraph ifNotNil: [paragraph moveBy: delta]]
		ifFalse: ["When moving text with an active editor, save and restore all state."
				super privateMoveBy: delta.
				paragraph moveBy: delta.
				self installEditorToReplace: editor]
! !

