'From Squeak2.8alpha of 4 February 2000 [latest update: #2098] on 12 May 2000 at 10:41:11 am'!
"Change Set:		050AttachSaveFix-mir
Date:			7 May 2000
Author:			Mike Rutenberg (mdr@scn.org)

The attachment save method did not close the file after writing it to disk, preventing it from being immediately used.  This fixes that."!


!MailMessage methodsFor: 'multipart'!
save
	"save the part to a file"
	| fileName file |
	fileName _ self name ifNil: ['attachment' , Utilities dateTimeSuffix].
	fileName _ FillInTheBlank request: 'File name for save?' initialAnswer: fileName.

	fileName isEmpty ifTrue: [ ^nil ].

	file _ FileStream newFileNamed: fileName.
	file nextPutAll: self content.
	file close! !

"Postscript:"
!

