'From Squeak2.8alpha of 13 January 2000 [latest update: #2299] on 8 June 2000 at 12:45:05 pm'!
"Change Set:		resetExtent
Date:			8 June 2000
Author:			Bob Arning

Recent changes to #showScrollBar and #hideScrollBar in 2282HiddenScrollBar-dew have unfortunate side-effects for users of retractable scrollbars - they send #extent: whenever the scrollbar is hidden or shown. This leads to:

- long pauses when leaving a text pane with lots of text in which there is a selection
- shifting the contents so that the selection is visible.

I think both (certainly the first) are undesirable. This change set sends #extent: only when the scrollbars are inboard."!


!ScrollPane methodsFor: 'scrolling' stamp: 'RAA 6/8/2000 12:34'!
hideScrollBar
	(submorphs includes: scrollBar) ifFalse: [^self].
	self privateRemoveMorph: scrollBar.
	scrollBar privateOwner: nil.
	retractableScrollBar ifFalse: [self resetExtent].! !

!ScrollPane methodsFor: 'scrolling' stamp: 'RAA 6/8/2000 12:35'!
showScrollBar
	(submorphs includes: scrollBar) ifTrue: [^self].
	self privateAddMorph: scrollBar atIndex: 1.
	self resizeScrollBar.
	scrollBar changed.
	retractableScrollBar ifFalse: [self resetExtent].! !
