'From Squeak2.9alpha of 12 June 2000 [latest update: #2673] on 21 September 2000 at 3:18:58 pm'!
"Change Set:		MarkerFix-ar
Date:			21 September 2000
Author:			Andreas Raab

A quick fix for the font style markers. A wrong comment in TextStyle>>alignment: led to wrong code in TextStyle>>alignmentSymbol. The change set fixes both, the comment and the code." !


!TextStyle methodsFor: 'accessing' stamp: 'ar 9/21/2000 15:17'!
alignment: anInteger 
	"Set the current setting of the alignment to be anInteger:
	0=left flush, 1=right flush, 2=centered, 3=justified."

	alignment _ anInteger \\ (Justified + 1)! !

!TextStyle methodsFor: 'accessing' stamp: 'ar 9/21/2000 15:16'!
alignmentSymbol
	"Answer the symbol for the current setting of the alignment."
	alignment = LeftFlush ifTrue:[^#leftFlush].
	alignment = Centered ifTrue:[^#centered].
	alignment = RightFlush ifTrue:[^#rightFlush].
	alignment = Justified ifTrue:[^#justified].
	^#leftFlush! !

