'From Squeak2.9alpha of 12 June 2000 [latest update: #2749] on 28 September 2000 at 8:16:39 am'!
"Change Set:		WorldHaloTweaks
Date:			27 September 2000
Author:			Dan Ingalls

Two little changes with big impact for halos in the world.  The first ensures dismissal of all halos (including world halos) when you click in the world.

The second prevents world halos from noting the entire screen as damaged.  For this reason, there is much less delay when dismissing the world halo.
"!


!HaloMorph methodsFor: 'geometry' stamp: 'di 9/28/2000 08:15'!
changed
	"Quicker to invalidate handles individually if target is large (especially the world)"

	self extent > (200@200)
		ifTrue: [self submorphsDo: [:m | m changed]]
		ifFalse: [super changed].
! !


!PasteUpMorph methodsFor: 'world state' stamp: 'di 9/27/2000 16:43'!
mouseDown: evt
	"Handle a mouse down event."

	self isWorldMorph
		ifTrue:
			[evt hand newKeyboardFocus: self.
			evt hand testEvent: evt
				ifQuickClick: [self abandonAllHalos.
							^ self quickClickOnDesktop: evt]
				ifMoved: [evt shiftPressed
							ifTrue: [^ self dragThroughOnDesktop: evt]
							ifFalse: [^ super mouseDown: evt]].
			self abandonAllHalos.
			evt hand invokeMetaMenu: evt]
		ifFalse:
			[evt hand testEvent: evt
				ifQuickClick: [^ super mouseDown: evt]
				ifMoved: [evt shiftPressed
							ifTrue: [^ self dragThroughOnDesktop: evt]
							ifFalse: [^ super mouseDown: evt]].
			^ super mouseDown: evt]! !

