'From Squeak2.9alpha of 13 June 2000 [latest update: #2750] on 28 September 2000 at 1:47:01 pm'!
"Change Set:		flash-fixes
Date:			28 September 2000
Author:			Michael Rueger

Fixes a bug in storeColor:on: and forces the computation of the pixel ramp at read time. The lazy computation of pixel ramps interfers with animations."!


!FlashCodec methodsFor: 'compressing fills' stamp: 'mir 3/2/2000 13:21'!
decompressGradientFill: radial
	"Note: No terminators for simple colors"
	| ramp fs rampSize rampIndex rampColor |
	fs _ GradientFillStyle new.
	fs radial: radial.
	fs origin: (self readPointFrom: stream).
	fs direction: (self readPointFrom: stream).
	fs normal: (self readPointFrom: stream).
	stream next = $+ ifFalse:[self error:'Negative Array size'].
	rampSize _ Integer readFrom: stream.
	ramp _ Array new: rampSize.
	1 to: rampSize do:[:i|
		rampIndex _ stream next asciiValue / 255.0.
		rampColor _ self readColorFrom: stream.
		ramp at: i put: (rampIndex -> rampColor)].
	fs colorRamp: ramp.
	fs pixelRamp. "Force computation"
	stream next = $X ifFalse:[^self error:'Compressio problem'].
	^fs! !

!FlashCodec methodsFor: 'compressing fills' stamp: 'mir 1/17/2000 15:12'!
storeColor: color on: aStream
	| pv |
	pv _ color pixelWordForDepth: 32.
	aStream 
		nextPut: (pv digitAt: 1) asCharacter;
		nextPut: (pv digitAt: 2) asCharacter;
		nextPut: (pv digitAt: 3) asCharacter;
		nextPut: (pv digitAt: 4) asCharacter.

! !

