'From Squeak2.9alpha of 13 June 2000 [latest update: #2834] on 9 October 2000 at 4:22:25 pm'!
"Change Set:		MenuTweaks-ar
Date:			9 October 2000
Author:			Andreas Raab

PopUp menu tweaks. Make leaving a menu item deselect the entry *unless* it's a popUp submenu. In this case defer the deselection by half a second to give the user a chance to reach the submenu before it closes. Timout can be tweaked but half a second seems to be appropriate."!


!MenuItemMorph methodsFor: 'events' stamp: 'ar 10/9/2000 16:10'!
deselectTimeOut: evt
	"Deselect timout. Now really deselect"
	owner selectItem: nil event: evt.! !

!MenuItemMorph methodsFor: 'events' stamp: 'ar 10/9/2000 16:07'!
mouseLeave: evt
	owner stayUp ifFalse:[self mouseLeaveDragging: evt].! !

!MenuItemMorph methodsFor: 'events' stamp: 'ar 10/9/2000 16:10'!
mouseLeaveDragging: evt
	subMenu == nil
		ifTrue:[owner selectItem: nil event: evt]
		ifFalse:[self addAlarm: #deselectTimeOut: with: evt after: 500].! !

!MenuItemMorph methodsFor: 'events' stamp: 'ar 10/9/2000 16:19'!
noticeMouseEntered: aSubmenu
	self removeAlarm: #deselectTimeOut:.
	owner noticeMouseEntered: aSubmenu.! !

!MenuItemMorph methodsFor: 'events' stamp: 'ar 10/9/2000 16:19'!
noticeMouseLeft: aSubmenu event: evt
	self addAlarm: #deselectTimeOut: with: evt after: 500.
	owner noticeMouseLeft: aSubmenu event: evt
! !

!MenuItemMorph methodsFor: 'selecting' stamp: 'ar 10/9/2000 16:13'!
deselect: evt
	self isSelected: false.
	subMenu ifNotNil: [
		subMenu delete.
		self removeAlarm: #deselectTimeOut:].! !


!MenuMorph methodsFor: 'events' stamp: 'ar 10/9/2000 16:11'!
handlesMouseOver: evt
	^popUpOwner notNil! !

!MenuMorph methodsFor: 'events' stamp: 'ar 10/9/2000 16:11'!
handlesMouseOverDragging: evt
	^popUpOwner notNil! !

!MenuMorph methodsFor: 'events' stamp: 'ar 10/9/2000 16:11'!
mouseEnter: evt
	popUpOwner noticeMouseEntered: self.
! !

!MenuMorph methodsFor: 'events' stamp: 'ar 10/9/2000 16:12'!
mouseEnterDragging: evt
	self mouseEnter: evt! !

!MenuMorph methodsFor: 'events' stamp: 'ar 10/9/2000 16:15'!
mouseLeave: evt
	popUpOwner noticeMouseLeft: self event: evt! !

!MenuMorph methodsFor: 'events' stamp: 'ar 10/9/2000 16:14'!
mouseLeaveDragging: evt
	self mouseLeave: evt! !

!MenuMorph methodsFor: 'events' stamp: 'ar 10/9/2000 16:18'!
noticeMouseEntered: aSubmenu
	popUpOwner ifNotNil:[popUpOwner noticeMouseEntered: aSubmenu].! !

!MenuMorph methodsFor: 'events' stamp: 'ar 10/9/2000 16:18'!
noticeMouseLeft: aSubmenu event: anEvent
	popUpOwner ifNotNil:[popUpOwner noticeMouseLeft: aSubmenu event: anEvent].! !

