'From Squeak2.9alpha of 13 June 2000 [latest update: #2906] on 26 October 2000 at 5:54:23 pm'!
"Change Set:		OwnerChanges-ar
Date:			26 October 2000
Author:			Andreas Raab

Restores the #fitOnScreen behavior in flap tabs and makes the DropShadowMorph smarter when recomputing its bounds."!


!DropShadowMorph methodsFor: 'private' stamp: 'ar 10/26/2000 17:34'!
computeBounds
	| box |
	submorphs isEmpty ifTrue:
		[self extent: 50@40.
		fullBounds _ nil.
		^ self].
	box _ (submorphs first fullBounds) copy.
	box _ (box translateBy: shadowOffset) merge: box.
	fullBounds = box ifFalse:[
		self changed.
		bounds _ fullBounds _ box.
		self changed].! !


!FlapTab methodsFor: 'positioning' stamp: 'ar 10/26/2000 17:52'!
fitOnScreen
	"19 sept 2000 - allow flaps in any paste up"
	| constrainer |
	constrainer _ owner ifNil: [self].
	self flapShowing "otherwise no point in doing this"
		ifTrue:[self spanWorld].
	self orientation == #vertical ifTrue: [
		self top: ((self top min: (constrainer bottom- self height)) max: constrainer top).
	] ifFalse: [
		self left: ((self left min: (constrainer right - self width)) max: constrainer left).
	].
	self flapShowing ifFalse: [self positionObject: self atEdgeOf: constrainer].
! !

!FlapTab methodsFor: 'positioning' stamp: 'ar 10/26/2000 17:36'!
layoutChanged
	self fitOnScreen.
	^super layoutChanged! !

!FlapTab methodsFor: 'positioning' stamp: 'ar 10/26/2000 17:36'!
ownerChanged
	self fitOnScreen.
	^super ownerChanged.! !

