'From Squeak2.9alpha of 13 June 2000 [latest update: #2943] on 2 November 2000 at 10:18:17 pm'!
"Change Set:		FixCostumes-ar
Date:			2 November 2000
Author:			Andreas Raab

Fixes the overly long list of remembered costumes and recomputes all unique costumes."!


!Player methodsFor: 'costume' stamp: 'ar 11/2/2000 22:17'!
knownSketchCostumeWithSameFormAs: aSketchMorph
	| itsForm |
	itsForm _ aSketchMorph form.
	^ costumes ifNotNil: [costumes detect: [:c | (c isKindOf: SketchMorph) and: [c form == itsForm]]
					ifNone: [nil]]! !

!Player methodsFor: 'costume' stamp: 'ar 11/2/2000 22:15'!
recaptureUniqueCostumes
	"Recapture all unique sketch-like costumes. Debugging only."
	| unique |
	costumes ifNil:[^self].
	unique := PluggableSet new 
				equalBlock:[:s1 :s2| s1 form == s2 form];
				hashBlock:[:s| s form identityHash].
	unique addAll: (costumes select:[:c| c isKindOf: SketchMorph]).
	unique := unique asIdentitySet.
	costumes := costumes select:[:c|
		(c isKindOf: SketchMorph) not or:[unique includes: c]].
! !

"Postscript:
Recapture all unique sketch like costumes in players."
Player allSubInstancesDo:[:pl| pl recaptureUniqueCostumes].!

