'From Squeak 2.2beta of Sept 16, 1998 on 22 September 1998 at 4:38:33 pm'!
"Change Set:		CRLF nextN
Date:			22 September 1998
Author:			Dan Ingalls

Fixes the case of empty file (from David Pennell).
Also the returns full character count, even with embedded CrLfs.
"!


!CrLfFileStream methodsFor: 'access' stamp: 'di 9/22/1998 16:34'!
next: n 
	| string |
	string _ super next: n.
	string size = 0 ifTrue: [^ string].
	lineEndConvention ifNil: [^ string].
	lineEndConvention == #crlf ifTrue:
		["Special case for last character"
		(string last = Cr and: [self peek = Lf]) ifTrue: [self next]].
	string _ self convertStringToCr: string.
	string size = n ifTrue: [^ string].

	"string shrunk due to embedded crlfs; make up the difference"
	^ string , (self next: n - string size)! !


