'From Squeak2.9alpha of 5 August 2000 [latest update: #3138] on 10 December 2000 at 1:31:09 pm'!
"Change Set:		recompileScript-sw
Date:			7 December 2000
Author:			Scott Wallace

Fixes scriptors so that when an operator is manually changed via a popup on a tile, the script gets recompiled.  As per bug report from Bob Arning.  Isolated out in its own tiny change set so that it can be separately published to the Open School update stream"!


!TileMorph methodsFor: 'mouse handling' stamp: 'sw 11/22/2000 10:50'!
presentOperatorAlternatives: evt
	"The receiver is a tile that represents an operator; a click on the receiver's label will pop up a menu of alternative operator choices"

	| result ops |

	((ops _ ScriptingSystem arithmeticalOperatorsAndHelpStrings first) includes: operatorOrExpression) ifFalse:
		[((ops _ ScriptingSystem numericComparitorsAndHelpStrings first) includes: operatorOrExpression)
			ifFalse: [^ self]].
		
	(result _ (SelectionMenu selections: ops) startUp) ifNotNil:
		[self setOperatorAndUseArrows: result asString.
		self scriptEdited]! !

