'From Squeak2.9alpha of 13 June 2000 [latest update: #3399] on 3 February 2001 at 2:24:47 pm'!
"Change Set:		DropFix-ar
Date:			3 February 2001
Author:			Andreas Raab

When dropping morphs, delete them first from the hand so that eventual errors do not leave the morph in the hand."!


!HandMorph methodsFor: 'grabbing/dropping' stamp: 'ar 2/3/2001 14:24'!
dropMorph: aMorph event: anEvent
	"Drop the given morph which was carried by the hand"
	| event dropped |
	self privateRemoveMorph: aMorph.
	dropped _ aMorph.
	(dropped hasProperty: #addedFlexAtGrab) 
		ifTrue:[dropped _ aMorph removeFlexShell].
	event _ DropEvent new setPosition: self position contents: dropped hand: self.
	owner processEvent: event.
	event wasHandled ifFalse:[aMorph rejectDropMorphEvent: event].
	aMorph owner == self ifTrue:[aMorph delete].
	self mouseOverHandler processMouseOver: anEvent.! !

