'From Squeak3.1alpha of 28 February 2001 [latest update: #3968] on 3 May 2001 at 1:33:50 pm'!
"Change Set:		colorUnderFix-sw
Date:			3 May 2001
Author:			Scott Wallace

Fixes a nasty bug such that clicking on the readout next to colorUnder in a Viewer could lock up your system."!


!CategoryViewer methodsFor: 'entries' stamp: 'sw 5/3/2001 13:32'!
readoutFor: partName type: partType readOnly: readOnly getSelector: getSelector putSelector: putSelector
	"Answer a readout morph for the given part"

	| readout |
 	(partType == #player) ifTrue:
		[readout _ PlayerReferenceReadout new objectToView: scriptedPlayer viewSelector: getSelector putSelector: putSelector].

	(partType == #graphic) ifTrue:
		[readout _ ThumbnailMorph new objectToView: scriptedPlayer viewSelector: getSelector.
		readout extent: 21@21].

	(partType == #color) ifTrue:
		[readout _ UpdatingRectangleMorph new.
		readout
			getSelector: (ScriptingSystem getterSelectorFor: partName);
			target: scriptedPlayer;
			borderWidth: 1;
			extent:  22@22.
		(putSelector isNil or: [#(unused none nil) includes: putSelector]) ifFalse:
			[readout putSelector: (ScriptingSystem setterSelectorFor: partName)]].

	readout ifNil:  "player, graphic, and color types handled above, the rest fall here"
		[readout _ scriptedPlayer updatingTileForArgType: partType partName: partName getSelector: getSelector putSelector: putSelector].
	readout step.
	^ readout! !

