'From Squeak3.2alpha of 4 October 2001 [latest update: #4441] on 25 October 2001 at 7:51:49 pm'!
"Change Set:		PrintingTime
Date:			14 October 2001
Author:			Gerald Leeb

BugFixing Party @ Camp Smalltalk OOPSLA 2001.  Fixes the Oct 11, 2001 bug report:

Time class didn't correctly print out the time for negative second values (before midnight).
Methods hours, minutes and seconds fixed.  (See the unit tests in the corresponding PrintingTimeTests changeset to demonstrate the fixes.)"!


!Time methodsFor: 'accessing' stamp: 'LEG 10/15/2001 19:10'!
hours
	"Answer the number of hours the receiver represents."

	^(seconds // 3600) \\ 24
! !

!Time methodsFor: 'accessing' stamp: 'LEG 10/15/2001 19:38'!
minutes
	"Answer the number of minutes the receiver represents."

	^(seconds \\ 3600) // 60! !

!Time methodsFor: 'accessing' stamp: 'LEG 10/15/2001 19:39'!
seconds
	"Answer the number of seconds the receiver represents."

	^seconds \\ 60! !

