"Change Set:		FileContentsVersions-dew
Date:			20 September 2001
Author:			Doug Way

Fixes opening a VersionsBrowser from a FileContentsBrowser so that class-side versions work properly (diffs are shown, and revert works)."!


!FileContentsBrowser methodsFor: 'other' stamp: 'dew 9/20/2001 19:03'!
browseVersions
	"Create and schedule a message set browser on all versions of the 
	currently selected message selector."
	| class selector |
	(selector _ self selectedMessageName) ifNotNil:
		[class _ self selectedClassOrMetaClass.
		(class exists and: [class realClass includesSelector: selector]) ifTrue:
			[VersionsBrowser
				browseVersionsOf: (class realClass compiledMethodAt: selector)
				class: class realClass theNonMetaClass
				meta: class realClass isMeta
				category: self selectedMessageCategoryName
				selector: selector]]! !

