'From Squeak3.2alpha of 2 October 2001 [latest update: #4586] on 6 December 2001 at 11:42:11 pm'!
"Change Set:		PleaseNoGreen-ar
Date:			6 December 2001
Author:			Andreas Raab

Sorry but I can't stand those green borders. The CS adds a preference to turn green keyboard focus indicators off - I much rather live without any focus indication than having to look at green borders everywhere.
"
Preferences addPreference: #greenKeyboardFoci categories: #(morphic) default: true  balloonHelp: 'When true, use green borders to indicate keyboard focus'.!


!MenuMorph methodsFor: 'drawing' stamp: 'ar 12/6/2001 23:39'!
drawOn: aCanvas

	super drawOn: aCanvas.
	ActiveHand keyboardFocus == self ifTrue:[
		Preferences greenKeyboardFoci ifTrue:
		[aCanvas frameAndFillRectangle: self innerBounds fillColor: Color transparent borderWidth: 1 borderColor: Color green]
	].
! !


!PluggableListMorph methodsFor: 'drawing' stamp: 'ar 12/6/2001 23:38'!
drawOn: aCanvas
	"Draw the list on the canvas, and possibly also draw frame feedback"

	| colorToFillWith areaToFill next |

	super drawOn: aCanvas.
	self hasFocus ifTrue:[
		Preferences greenKeyboardFoci ifTrue:
			[aCanvas frameRectangle: scroller bounds color: Preferences textHighlightColor].
	].

	selectedMorph ifNil: [^self].
	colorToFillWith _ color.
	next _ self.
	[colorToFillWith isTransparent and: [(next _ next owner) notNil]] whileTrue: [
		colorToFillWith _ next color.
	].
	colorToFillWith _ colorToFillWith luminance < 0.5 ifTrue: [
		colorToFillWith muchLighter
	] ifFalse: [
		colorToFillWith darker
	].

	areaToFill _ ((scroller transformFrom: self) localBoundsToGlobal: selectedMorph bounds)
					intersect: scroller bounds.
	aCanvas fillRectangle: areaToFill color: colorToFillWith! !

