'From Squeak3.3alpha of 30 January 2002 [latest update: #4827] on 19 April 2002 at 8:45:29 am'!
"Change Set:		PTMMenuFix-nk
Date:			15 April 2002
Author:			Ned Konz

In Browsers and other code panes, the action of the menus differs between the text panes and the list panes.

In the list panes, an ESC key will toggle the menu, and you can use keystrokes to do menu selection.

However, in the code panes, each ESC will bring up a new menu, and you can't use keystroke selection in the menus.

This change set makes the code pane menus work like the list pane menus."!


!PluggableTextMorph methodsFor: 'scroll bar events' stamp: 'nk 4/15/2002 10:36'!
yellowButtonActivity: shiftKeyState
	"Invoke the text-editing menu"

	| menu |
	(menu _ self getMenu: shiftKeyState) ifNotNil:
		[menu setInvokingView: self.
		menu invokeModal: true]! !

