'From Squeak3.2gamma of 15 January 2002 [latest update: #4881] on 13 June 2002 at 12:55:46 pm'!
"Change Set:		selTranslateFix-nk
Date:			13 June 2002
Author:			Ned Konz

This fixes a problem with selection within translated PasteUpMorphs.
"!


!SelectionMorph methodsFor: 'initialization' stamp: 'nk 6/13/2002 12:52'!
extendByHand: aHand
	"Assumes selection has just been created and added to some pasteUp or world"
	| startPoint handle |
	startPoint _ self position.
	handle _ NewHandleMorph new followHand: aHand
		forEachPointDo: [:newPoint | | localPt |
			localPt _ (self transformFrom: self world) globalPointToLocal: newPoint.
			self bounds: (startPoint rect: localPt)]
		lastPointDo: [:newPoint | selectedItems isEmpty ifTrue: [self delete]
												ifFalse: [self doneExtending]].
	aHand attachMorph: handle.
	handle startStepping.! !

