'From Squeak 2.3 beta of Nov 25, 1998 on 15 December 1998 at 10:48:46 pm'!
"Change Set:		RemoveJitterI
Date:			15 December 1998
Author:			Dan Ingalls

This changeset removes the entire Jitter category.

It also redefines allUnSentMessagesIn: to properly allow for nested tables of selectors, thus making unsent methods report reasonably for the Interpreter in particular.
"!


!SystemDictionary methodsFor: 'retrieving' stamp: 'di 12/15/1998 21:47'!
allUnSentMessagesIn: selectorSet
	"Answer the subset of selectorSet which are not sent anywhere in the system.
	Factored out from#allUnSentMessages "
	|  all |
	all _ selectorSet copy.
	Cursor execute showWhile: 
		[self allBehaviorsDo: 
			[:cl | cl selectorsDo: 
				[:sel | 
				(cl compiledMethodAt: sel) literals do: 
					[:lit |
					(lit isMemberOf: Symbol)  "might be sent"
						ifTrue: [all remove: lit ifAbsent: []].
					(lit isMemberOf: Array)  "might be performed"
						ifTrue: [lit do:
								[:elt |
								(elt isMemberOf: Array)
									ifTrue: [elt do: [:e | all remove: e ifAbsent: []]]
									ifFalse: [all remove: elt ifAbsent: []]]].
					]]].
		"The following may be sent without being in any literal frame"
		1 to: self specialSelectorSize do: 
			[:index | 
			all remove: (self specialSelectorAt: index) ifAbsent: []]].
	^ all! !


Smalltalk removeClassNamed: #DynamicInterpreterState!
Smalltalk removeClassNamed: #DynamicInterpreterSimulator!
Smalltalk removeClassNamed: #Logger!
Smalltalk removeClassNamed: #UncheckedDynamicInterpreterSimulator!
Smalltalk removeClassNamed: #UncheckedDynamicInterpreterSimulatorLSB!
Smalltalk removeClassNamed: #DynamicInterpreterSimulatorLSB!
Smalltalk removeClassNamed: #DynamicTranslator!
Smalltalk removeClassNamed: #DynamicInterpreter!
Smalltalk removeClassNamed: #DynamicContextCache!
