'From Squeak 2.3 of January 14, 1999 on 9 March 1999 at 9:03:25 pm'!
"Change Set:		oldTabWorkaround-sw
Date:			9 March 1999
Author:			Scott Wallace

Two little workarounds to help old tabbed-palette structures limp along a bit longer.  It will be important to replace such palettes with modernized structures soon."!


!IndexTabs methodsFor: 'layout' stamp: 'sw 3/9/1999 21:03'!
laySubpartsOutInOneRow
	| aPosition neededHeight widthToUse mid |
	verticalPadding ifNil: [verticalPadding _ 4].  "for benefit of old structures"
	aPosition _ self topLeft.
	neededHeight _ self basicHeight.
	submorphs do:
		[:aMorph |
			aMorph position: (aPosition + (padding @ 0)).
			aPosition _ aMorph topRight.
			neededHeight _ neededHeight max: aMorph height].
	neededHeight _ neededHeight + (verticalPadding * 2).
	mid _ self top + (neededHeight // 2).
	submorphs do:
		[:aMorph |
			aMorph top: (mid - (aMorph height // 2))].
	widthToUse _ self widthImposedByOwner max: self requiredWidth.
	self extent: (((aPosition x + padding - self left) max: widthToUse) @ neededHeight)! !


!TabMorph methodsFor: 'all' stamp: 'sw 3/9/1999 20:49'!
isHighlighted
	^ false! !


