'From Squeak 2.3 of January 14, 1999 on 6 April 1999 at 1:09:44 pm'!

!Interpreter methodsFor: 'object access primitives' stamp: 'ar 4/6/1999 13:08'!
primitiveNew
	"Allocate a new fixed-size instance. Fail if the allocation would leave less than lowSpaceThreshold bytes free."

	| class spaceOkay |
	class _ self stackValue: 0.
	"The following may cause GC!!"
	spaceOkay _ self sufficientSpaceToInstantiate: class indexableSize: 0.
	self success: spaceOkay.
	successFlag
		ifTrue: [ self push: (self instantiateClass: self popStack indexableSize: 0) ]! !

!Interpreter methodsFor: 'object access primitives' stamp: 'ar 4/6/1999 13:08'!
primitiveNewWithArg
	"Allocate a new indexable instance. Fail if the allocation would leave less than lowSpaceThreshold bytes free."

	| size class spaceOkay |
	size _ self positive32BitValueOf: (self stackValue: 0).
	class _ self stackValue: 1.
	self success: size >= 0.
	successFlag ifTrue: [
		"The following may cause GC!!"
		spaceOkay _ self sufficientSpaceToInstantiate: class indexableSize: size.
		self success: spaceOkay.
		class _ self stackValue: 1. "Reload class in case of GC"
	].
	successFlag
		ifTrue: [ self pop: 2 thenPush: (self instantiateClass: class indexableSize: size) ]! !


