'From Squeak3.1alpha of 5 February 2001 [latest update: #3687] on 21 February 2001 at 1:01:10 pm'!
"Change Set:		geeScrolling
Date:			21 February 2001
Author:			Bob Arning

add red halo menu item to keep retractable scrollbar up on GeeMail"!


!AlansTextPlusMorph methodsFor: 'as yet unclassified' stamp: 'RAA 2/21/2001 12:56'!
addCustomMenuItems: aCustomMenu hand: aHandMorph

	super addCustomMenuItems: aCustomMenu hand: aHandMorph.
	aCustomMenu add: 'make a book of me' action: #convertToBook.
	aCustomMenu addUpdating: #showPageBreaksString action: #togglePageBreaks.
	aCustomMenu addUpdating: #keepScrollbarString action: #toggleKeepScrollbar.
! !

!AlansTextPlusMorph methodsFor: 'as yet unclassified' stamp: 'RAA 2/21/2001 12:57'!
hideScrollBar

	self keepScrollBarAlways ifTrue: [^self].
	^super hideScrollBar! !

!AlansTextPlusMorph methodsFor: 'as yet unclassified' stamp: 'RAA 2/21/2001 12:57'!
keepScrollBarAlways

	^self valueOfProperty: #keepScrollBarAlways ifAbsent: [false]! !

!AlansTextPlusMorph methodsFor: 'as yet unclassified' stamp: 'RAA 2/21/2001 12:59'!
keepScrollbarString

	^self keepScrollBarAlways ifTrue: ['<on>scrollbar stays up'] ifFalse: ['<off>scrollbar stays up']! !

!AlansTextPlusMorph methodsFor: 'as yet unclassified' stamp: 'RAA 2/21/2001 12:58'!
toggleKeepScrollbar

	self setProperty: #keepScrollBarAlways toValue: self keepScrollBarAlways not! !

AlansTextPlusMorph removeSelector: #hideOrShowScrollBar!
