'From Squeak3.1alpha of 28 February 2001 [latest update: #3751] on 2 March 2001 at 9:57:42 am'!
"Change Set:		HouseKeeping
Date:			2 March 2001
Author:			Dan Ingalls

A couple of changes needed in cleaning up the release.
"!


!SystemDictionary methodsFor: 'housekeeping' stamp: 'di 3/1/2001 01:09'!
reclaimDependents
	"No-opped due to weak dictionary in use"
	Smalltalk garbageCollect! !

!SystemDictionary methodsFor: 'shrinking' stamp: 'di 3/1/2001 01:07'!
removeNormalCruft 
	"Smalltalk removeNormalCruft"
	
	ScriptingSystem stripGraphicsForExternalRelease.
	ScriptingSystem spaceReclaimed.
	References keys do: [:k | References removeKey: k].
	Smalltalk classNames do:
		[:cName | #( 'Player' 'Component' 'WonderlandActor' 'MorphicModel' 'PlayWithMe') do:
			[:superName | ((cName ~= superName and: [cName beginsWith: superName])
				and: [(cName allButFirst: superName size) allSatisfy: [:ch | ch isDigit]])
				ifTrue: [Smalltalk removeClassNamed: cName]]].
	Smalltalk at: #Wonderland ifPresent:[:cls | cls removeActorPrototypesFromSystem].
	Smalltalk changes clear.
! !

!SystemDictionary methodsFor: 'shrinking' stamp: 'di 3/1/2001 17:04'!
zapAllOtherProjects 
	"Smalltalk zapAllOtherProjects"
	
	Project allInstancesDo: [:p | p setParent: nil].
	Project current setParent: Project current.
	Project current isMorphic ifTrue: [ScheduledControllers _ nil].
	TheWorldMenu allInstancesDo: [:m | 1 to: m class instSize do: [:i | m instVarAt: i put: nil]].
	ChangeSorter classPool at: #AllChangeSets put: nil.
	Project classPool at: #AllProjects put: nil.
	ProjectHistory currentHistory initialize.
	Smalltalk garbageCollect.
	ChangeSorter initialize.
	Project rebuildAllProjects.
	Project allProjects size > 1 ifTrue: [Project allProjects inspect]! !

