'From Squeak3.1alpha [latest update: #''Squeak3.1alpha'' of 28 February 2001 update 3928] on 14 April 2001 at 2:05:26 am'!
"Change Set:		chgSorterSel-sw
Date:			13 April 2001
Author:			Scott Wallace

Fixes bugs that could leave a change sorter showing classes and methods that were no longer appropriate after certain change-set-category commands."!


!ChangeSorter methodsFor: 'changeSet menu' stamp: 'sw 4/13/2001 11:17'!
updateIfNecessary
	"Recompute all of my panes."

	| newList |
	self okToChange ifFalse: [^ self].

	myChangeSet ifNil: [^ self].  "Has been known to happen though shouldn't"
	(myChangeSet isMoribund or: [(changeSetCategory includesChangeSet: myChangeSet) not]) ifTrue:
		[self changed: #changeSetList.
		^ self showChangeSet: self changeSetCategory defaultChangeSetToShow].

	newList _ self changeSetList.

	(priorChangeSetList == nil or: [priorChangeSetList ~= newList])
		ifTrue:
			[priorChangeSetList _ newList.
			self changed: #changeSetList].
	self showChangeSet: myChangeSet! !

