'From Squeak3.1alpha of 28 February 2001 [latest update: #4340] on 14 September 2001 at 12:26:28 am'!
"Change Set:		versionsFromDebugger-sw
Date:			14 September 2001
Author:			Scott Wallace

Fixes a long-standing bug in the narrow case of a VersionsBrowser launched from a Debugger on behalf of a class-side method; the resulting VersionsBrowser was ill-formed, and did not show diffs even when asked, and its 'revert' function did not work."!


!Debugger methodsFor: 'context stack menu' stamp: 'sw 9/14/2001 00:26'!
browseVersions
	"Create and schedule a message set browser on all versions of the 
	currently selected message selector."

	| class selector |
	class _ self selectedClassOrMetaClass.
	selector _ self selectedMessageName.
	VersionsBrowser
		browseVersionsOf: (class compiledMethodAt: selector)
		class: self selectedClass theNonMetaClass
		meta: class isMeta
		category: self selectedMessageCategoryName
		selector: selector! !

