'From Squeak3.2alpha of 2 October 2001 [latest update: #4537] on 22 November 2001 at 9:57:59 am'!
"Change Set:		FasterWakeText
Date:			21 November 2001
Author:			Dan Ingalls

When you enter a text pane, it opens the scroll bar and highlights the text.
When you leave a text pane, if closes the scroll bar and clears the highlight.
However entering invalidates the entire text pane, thus causing a complete repaint.
This should not be necessary...

And it isn't.
This changeSet fixes the problem by only repainting the selection rectangle, leading to considerably faster window and scrollbar response in textually oriented windows.
"!


!PluggableTextMorph methodsFor: 'pane events' stamp: 'di 11/22/2001 09:52'!
mouseEnter: event
	super mouseEnter: event.
	selectionInterval ifNotNil:
		[textMorph editor selectInterval: selectionInterval; setEmphasisHere].
	textMorph selectionChanged.
	event hand newKeyboardFocus: textMorph! !

