'From Squeak3.2alpha of 2 October 2001 [latest update: #4569] on 30 November 2001 at 4:21:38 pm'!
"Change Set:		RevertFocus
Date:			30 November 2001
Author:			Dan Ingalls

Reverts the recent change in keyboard focus due to impact on the handling of command keys."!


!PluggableListMorph methodsFor: 'events' stamp: 'ar 9/15/2000 23:30'!
mouseLeave: event
	super mouseLeave: event.
	event hand releaseKeyboardFocus: self.! !


!PluggableTextMorph methodsFor: 'pane events' stamp: 'ar 9/15/2000 23:30'!
mouseLeave: event

	textMorph ifNotNil: [selectionInterval _ textMorph editor selectionInterval].
	super mouseLeave: event.
	event hand releaseKeyboardFocus: textMorph.! !


!SimpleHierarchicalListMorph methodsFor: 'events' stamp: 'ar 3/17/2001 17:27'!
mouseLeave: event
	super mouseLeave: event.
	event hand releaseKeyboardFocus: self.! !


!SystemWindow methodsFor: 'events' stamp: 'di 11/8/2000 20:38'!
mouseDown: evt
	| cp |
	TopWindow == self ifFalse: [self activate].
	(Sensor redButtonPressed "If mouse is really still down after activate"
			and: [self labelRect containsPoint: evt cursorPoint]) ifTrue:
		[^ self isSticky ifFalse:
			[self fastFramingOn 
				ifTrue: [self doFastFrameDrag]
				ifFalse: [evt hand grabMorph: self topRendererOrSelf]]].
	model windowActiveOnFirstClick ifTrue:
		["Normally window keeps control of first click.
		Need explicit transmission for first-click activity."
		cp _ evt cursorPoint.
		submorphs do: [:m | (m containsPoint: cp) ifTrue: [m mouseDown: evt]]]

! !

!SystemWindow methodsFor: 'events' stamp: 'di 6/10/1998 14:41'!
mouseMove: evt
	| cp |
	model windowActiveOnFirstClick ifTrue:
		["Normally window takes control on first click.
		Need explicit transmission for first-click activity."
		cp _ evt cursorPoint.
		submorphs do: [:m | (m containsPoint: cp) ifTrue: [m mouseMove: evt]]]! !


!ZoomAndScrollControllerMorph methodsFor: 'as yet unclassified' stamp: 'RAA 12/2/2000 14:25'!
mouseLeave: evt

	evt hand releaseKeyboardFocus: self.
	currentKeyDown _ Set new.
	hasFocus _ false.
	mouseMovePoint _ mouseDownPoint _ nil.
! !

