'From Squeak3.2alpha of 7 October 2001 [latest update: #4567] on 4 January 2002 at 8:14:50 am'!
"Change Set:		setToEndFix
Date:			4 January 2002
Author:			Leandro Caniglia

Fixes the following bug:
	stream _ WriteStream with: ''.
	stream nextPutAll: 'hello'.
	stream position.		-> 5
	stream setToEnd.
	stream position		-> 0 wrong!!!!

Simple TestCase included.
"!

TestCase subclass: #WriteStreamTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Collections-Streams'!

!WriteStreamTest commentStamp: 'LC 1/4/2002 08:11' prior: 0!
TestRunner open!


!WriteStream methodsFor: 'positioning' stamp: 'LC 1/4/2002 07:34'!
setToEnd
	self position: self size
! !


!WriteStreamTest methodsFor: 'running' stamp: 'LC 1/4/2002 08:12'!
testSetToEnd
	| string stream |
	string _ 'hello'.
	stream _ WriteStream with: ''.
	stream nextPutAll: string.
	self assert: stream position = string size.
	stream setToEnd.
	self assert: stream position = string size.
	self assert: stream contents = string
! !

