'From Squeak3.3alpha of 24 January 2002 [latest update: #4653] on 24 January 2002 at 2:20:23 am'!
"Change Set:		fixScrollbarOnRight-sm
Date:			30 November 2001
Author:			Simon Michael

Outboard scrollbars on the right have not been usable in browsers, because they appeared behind the neighboring pane to the right and disappeared when you moused over them. This change attempts to remedy that by bringing the current pane (and it's owner, for the class pane in browsers) to the front when showing a scroll bar. (Additional fix by Doug Way for inboard hiddenScrollBars.)"!


!ScrollPane methodsFor: 'scrolling' stamp: 'dew 1/24/2002 02:17'!
showScrollBar
	(submorphs includes: scrollBar)
		ifTrue: [^ self].
	self resizeScrollBar.
	self privateAddMorph: scrollBar atIndex: 1.
	retractableScrollBar
		ifTrue:
			["Bring the pane to the front so that it is fully visible"
			self comeToFront.
			self owner ifNotNil: [self owner comeToFront]]
		ifFalse: [self resetExtent]
! !

