'From Squeak3.4alpha of 6 November 2002 [latest update: #5096] on 8 November 2002 at 12:25:53 am'!
"Change Set:		finalThreeTwoUpdate
Date:			11 November 2002
Author:			Scott Wallace

The last update for Squeak 3.2.  The user is given a choice of:

  Remaining as a Squeak 3.2
  Moving to Squeak 3.2.1, into which more updates may be published in due course.
  Moving forward to Squeak 3.4alpha.

If you opt for remaining at 3.2 but then later change your mind and wish to advance your image either to 3.2.1 or to 3.4alpha after all, evaluate the text of the postcript of this change set to be offered the same choice again."!

"Postscript:"
	| choice selections |
	selections _ #('remain at 3.2'  'advance to 3.2.1' 'advance to 3.4alpha' ).
	choice _ (SelectionMenu selections: selections) startUpWithCaption:
'There are no further updates for Squeak 3.2
You now have a choice of where to take this
image.  If in doubt, quit without saving,'.

	(choice == nil or: [choice = selections first])
		ifTrue:
			[self inform: 
'If you save this image, it will become a "final" 3.2 image,
which will receive no further updates.
If later you wish to move this image forward to
3.2.1 or 3.4alpha, you can execute the code in the
postscript for the change set named finalThreeTwoUpdate.'].

	choice = selections second ifTrue:
		[SystemVersion current version: 'Squeak3.2.1'; date: ' 11 November 2002'.
		self inform:
'Okay, the image is now marked as Squeak 3.2.1.
You may now save this Version 3.2.1 image and retrieve
updates again for any subsequent fixes to 3.2.1.'].

	choice = selections third ifTrue:
		[SystemVersion current version: 'Squeak3.4alpha'; date: '11 November 2002'.
		self inform:
'The image version is now marked as Squeak3.4alpha.
Now please retrieve updates again, to load in
the code that will transform this image into
an up-to-date Squeak3.4alpha image.  This
involves loading around a hundred updates.
(If you did not intend to take this step,
you can simply quit without saving right now.)'].
!

