'From Squeak3.4alpha of ''11 November 2002'' [latest update: #5134] on 30 November 2002 at 8:20:47 am'!
"Change Set:		categorizeFix-nk
Date:			30 November 2002
Author:			Ned Konz

The 'categorize all uncategorized' choice in the Browsers didn't work on the class side."!


!Browser methodsFor: 'message category list' stamp: 'nk 11/30/2002 08:20'!
categorizeAllUncategorizedMethods
	"Categorize methods by looking in parent classes for a method category."

	| organizer organizers |
	organizer _ self classOrMetaClassOrganizer.
	organizers _ self selectedClassOrMetaClass withAllSuperclasses collect: [:ea | ea organization].
	(organizer listAtCategoryNamed: ClassOrganizer default) do: [:sel | | found |
		found _ (organizers collect: [ :org | org categoryOfElement: sel])
			detect: [:ea | ea ~= ClassOrganizer default and: [ ea ~= nil]]
			ifNone: [].
		found ifNotNil: [organizer classify: sel under: found]].

	self changed: #messageCategoryList! !

