'From Squeak3.7alpha of ''11 September 2003'' [latest update: #5526] on 18 November 2003 at 11:27:37 am'!
"Change Set:		flipHorizontalOrVertical
Date:			18 November 2003
Author:			Markus Gaelli

Adds flipHorizontal and flipVertical to the viewer of SketchMorphs in the graphics-category. "!


!Player methodsFor: 'costume' stamp: 'mga 11/18/2003 11:23'!
flipHorizontal
	self costume flipHorizontal! !

!Player methodsFor: 'costume' stamp: 'mga 11/18/2003 11:23'!
flipVertical
	self costume flipVertical! !


!SketchMorph methodsFor: 'e-toy support' stamp: 'mga 11/18/2003 09:54'!
flipHorizontal

	self form: (self form flipBy: #horizontal centerAt: self form center)! !

!SketchMorph methodsFor: 'e-toy support' stamp: 'mga 11/18/2003 09:54'!
flipVertical

	self form: (self form flipBy: #vertical centerAt: self form center)! !


!SketchMorph class methodsFor: 'scripting' stamp: 'mga 11/18/2003 09:56'!
additionsToViewerCategories
	"Answer a list of (<categoryName> <list of category specs>) pairs that characterize the phrases this kind of morph wishes to add to various Viewer categories."

	^ #((graphics (
(slot graphic 	'The picture currently being worn' Graphic	 readWrite Player getGraphic Player setGraphic:)
(command wearCostumeOf: 'wear the costume of...' Player)
(slot baseGraphic 	'The picture originally painted for this object, but can subsequently be changed via menu or script' Graphic	 readWrite Player getBaseGraphic Player setBaseGraphic:)
(command restoreBaseGraphic 'Make my picture be the one I remember in my baseGraphic')
(command flipHorizontal 'Flip this graphic horizontally')
(command flipVertical 'Flip this graphic vertically')
)))


! !

