'From Squeak3.7alpha of 11 September 2003 [latest update: #5707] on 15 February 2004 at 12:42:39 pm'!
"Change Set:		FixObsoletePrefs-nk
Date:			15 February 2004
Author:			Ned Konz

Every time we change the Preferences class, we hold onto the old versions in individual preferences.

This CS repairs existing Preferences to point to the current Preferences class.

"

| obsoletePrefs |

Smalltalk garbageCollect.

obsoletePrefs _
Preference allSubInstances select: [ :ea | | ci |
	ci _ (ea instVarNamed: 'changeInformee').
	ci isBehavior and: [ ci isObsolete ] ].

obsoletePrefs do: [ :pref |
	| ci |
	ci _ (pref instVarNamed: 'changeInformee').
	pref instVarNamed: 'changeInformee' put: (Smalltalk at: ci name ifAbsent: []) ].

Behavior flushObsoleteSubclasses.!

