'From Squeak3.5 of ''11 April 2003'' [latest update: #5180] on 25 February 2004 at 10:08:04 pm'!
"Change Set:		CategoryDefaultName-dgd
Date:			25 February 2004
Author:			Diego Gomez Deck <DiegoGomezDeck@ConsultAr.com>

better default for category name (the selector is used instead of #none). useful for etoys translation using Babel.
"!


!ObjectWithDocumentation methodsFor: 'translation' stamp: 'dgd 2/24/2004 20:02'!
translatedToLanguage: languageSymbol 
	"Answer an ElementTranslation object in the prevailing natural  
	language, or, if none found, in English"
	| fallback elSym el wrd doc |
	elSym := self elementSymbol.
	^ naturalLanguageTranslations isEmptyOrNil
		ifTrue: [(el := self elementSymbol)
				ifNotNil: [((el beginsWith: 'get')
							and: [elSym size > 3])
						ifTrue: [wrd := (elSym copyFrom: 4 to: elSym size) withFirstCharacterDownshifted.
							doc := 'get value of ' , elSym]
						ifFalse: [((elSym beginsWith: 'set')
									and: [elSym size > 4])
								ifTrue: [wrd := (elSym copyFrom: 4 to: elSym size - 1) withFirstCharacterDownshifted.
									doc := 'set value of ' , elSym]
								ifFalse: [wrd := ScriptingSystem wordingForOperator: elSym.
									doc := nil]]].
			^ ElementTranslation new
				wording: wrd
				helpMessage: doc
				language: #English]
		ifFalse: [naturalLanguageTranslations
				do: [:aTranslation | 
					aTranslation language == languageSymbol
						ifTrue: [^ aTranslation].
					aTranslation language == #English
						ifTrue: [fallback := aTranslation]].
			fallback
				ifNil: [ElementCategory new categoryName: elSym]]! !

