'From Squeak3.7beta of ''1 April 2004'' [latest update: #5963] on 28 June 2004 at 4:12:51 pm'!
"Change Set:		nilUUIDFix-pk
Date:			28 June 2004
Author:			Pavel K?ivnek
Reposted by:	Ned Konz

CS 5919KCPInitializeNewFix broke UUID>>nilUUID because UUID defined an initialize method and did not expect to have it called from its new: method.

This change set fixes that problem.

Pavel's comments:

    UUID nilUUID -> de6309fd-188f-0643-9c90-0edb825f2f46
    UUID nilUUID isNilUUID -> false
Fixed:
    UUID nilUUID -> 00000000-0000-0000-0000-000000000000
    UUID nilUUID isNilUUID -> true

Ned's comments:

I have scanned the image and verified that UUID is the only variable class that defines an initialize method.

variableClasses := Behavior allSubInstances select: [ :ea | ea isVariable ].
variableClasses select: [ :ea | ea includesSelector: #initialize ].

"!


!UUID class methodsFor: 'instance creation' stamp: 'nk 6/28/2004 16:10'!
nilUUID
	"Must call basicNew: here because I have a non-trivial initialize method."

	^self basicNew: 16! !

