'From Squeak3.8alpha of ''17 July 2004'' [latest update: #5976] on 17 August 2004 at 10:00:22 pm'!
"Change Set:		13-ObjCatalogWidth-dgd
Date:			17 August 2004
Author:			Diego Gomez Deck

Make wider the Object Catalog.
"!


!ObjectsTool methodsFor: 'initialization' stamp: 'dgd 8/17/2004 21:56'!
initializeToStandAlone
	"Initialize the receiver so that it can live as a stand-alone morph"
	| aPane aBin aColor |
	self basicInitialize.
	self layoutInset: 6. 
	self listCentering: #topLeft.
	self cellPositioning: #topLeft.
	self wrapCentering: #center.
	self useRoundedCorners.
	self listDirection: #topToBottom.
	self hResizing: #shrinkWrap; vResizing: #shrinkWrap.
	aPane _ self paneForTabs: self modeTabs.
	aPane addMorphFront: self dismissButton.
	aPane addMorphBack: self helpButton.
	aPane color: (aColor _ aPane color) darker.
	aPane listSpacing: #equal.
	aPane cellInset: 10 @ 10.
	aPane listCentering: #center; height: 38.
	aPane wrapDirection: nil.
	self addMorphFront: aPane.
	self addMorphBack: Morph new.  "Place holder for a tabs or text pane"
	aBin _ PartsBin newPartsBinWithOrientation: #leftToRight from: #().
	aBin listDirection: #leftToRight.
	aBin wrapDirection: #topToBottom.
	aBin hResizing: #spaceFill; vResizing: #shrinkWrap.
	aBin extent: (self currentWorld width) @ 300.
	aBin color: aColor lighter lighter.
	aBin setNameTo: 'parts'.
	aBin dropEnabled: false.
	self addMorphBack: aBin.
	self submorphs last width: 350; hResizing: #spaceFill.
	self color: (Color r: 0.0 g: 0.839 b: 0.226).
	self setProperty: #initialWidth toValue: 400.
	self setNameTo: 'Objects' translated.
	self showCategories.
! !

