'From Squeakland 3.8.5976 of 25 August 2004 [latest update: #301] on 2 September 2004 at 4:57:12 pm'!
"Change Set:		KillComicSans-nk
Date:			2 September 2004
Author:			Ned Konz

The postscript of this changeSet removes the last vestige of ComicSansMS from the Plugin image. Any remaining fonts that may use it will have their style changed to another one.

Also updates the TTFontDescription Descriptions cache so that file loading might work a little better (this needs more work, and I will have some fixes coming soon).

"!

"Postscript:
Replace all remaining instances of ComicSans with another font.
"

| allTTs newDefault comic badFonts |
allTTs := WeakSet withAll: TTFontDescription allInstances.
newDefault := allTTs detect: [ :t | t name = 'BitstreamVeraSans' and: [ t subfamilyName = 'Bold' ]] ifNone: [ allTTs anyOne ].
TTFontDescription classPool at: #Default put: newDefault.
Smalltalk garbageCollect.
TTFontDescription classPool at: #Descriptions put: (Set withAll: (allTTs copyWithout: nil)).
TTFontDescription removeDescriptionNamed:  'ComicSansMS'.
PartsBin clearThumbnailCache.
comic := allTTs select: [ :t | t notNil and: [ t fullName beginsWith: 'Comic' ]].
badFonts := Set new.
comic do: [ :desc |
	TTCFont allInstancesDo: [ :ft | (ft ttcDescription fullName = desc fullName) ifTrue: [ badFonts add: ft ]]].
badFonts do: [ :ft |  ft ttcDescription: newDefault ].
Smalltalk garbageCollect.
!

