'From Small-Land 3.8-5976-0266 of 10 September 2004 [latest update: #5976] on 13 September 2004 at 11:57:24 pm'!
"Change Set:		CollectionEnh-dgd
Date:			13 September 2004
Author:			Diego Gomez Deck

New methods (#collect:thenDo: #reject:thenDo: #select:thenDo:) to improve readability in 3 of the most used idioms with collections.

The current implementation is straight forward but it leaves space for (memory use) improvements (avoiding the creation of the temporary collection).

V2: This time the correct implementation.

"!


!Collection methodsFor: 'enumerating' stamp: 'dgd 9/13/2004 23:42'!
collect: collectBlock thenDo: doBlock 
	"Utility method to improve readability."
	^ (self collect: collectBlock) do: doBlock! !

!Collection methodsFor: 'enumerating' stamp: 'dgd 9/13/2004 23:42'!
reject: rejectBlock thenDo: doBlock 
	"Utility method to improve readability."
	^ (self reject: rejectBlock) do: doBlock! !

!Collection methodsFor: 'enumerating' stamp: 'dgd 9/13/2004 23:42'!
select: selectBlock thenDo: doBlock 
	"Utility method to improve readability."
	^ (self select: selectBlock) do: doBlock! !

