'From Squeak3.8beta of ''22 October 2004'' [latest update: #6351] on 11 November 2004 at 8:07 pm'!
"Change Set:		layoutCellNil
Date:			11 November 2004
Author:			Lex Spoon

Subject:		[FIX] UndefinedObject(Object)>>doesNotUnderstand: #anyMask:
Date Posted: 5 August 2004

Here's a quick changeset that protects against the specific sequence
described in the bug report.  It uses 0 whenever flags is nil, which
seems the right thing to do and is also what other code in the class
already does."!


!LayoutCell methodsFor: 'accessing' stamp: 'ls 8/5/2004 16:47'!
flags
	^flags ifNil: [ 0 ]! !

!LayoutCell methodsFor: 'accessing' stamp: 'ls 8/5/2004 16:48'!
hSpaceFill
	^self flags anyMask: 1! !

!LayoutCell methodsFor: 'accessing' stamp: 'ls 8/5/2004 16:48'!
hSpaceFill: aBool
	flags _ aBool ifTrue:[self flags bitOr: 1] ifFalse:[self flags bitClear: 1].
! !

!LayoutCell methodsFor: 'accessing' stamp: 'ls 8/5/2004 16:47'!
vSpaceFill
	^self flags anyMask: 2! !

!LayoutCell methodsFor: 'accessing' stamp: 'ls 8/5/2004 16:48'!
vSpaceFill: aBool
	flags _ aBool ifTrue:[self flags bitOr: 2] ifFalse:[self flags bitClear: 2].
! !


!LayoutCell reorganize!
('accessing' addExtraSpace: cellSize cellSize: extraSpace extraSpace: flags hSpaceFill hSpaceFill: nextCell nextCell: size target target: vSpaceFill vSpaceFill:)
('collection' do: inject:into:)
('initialization')
!

