'From Squeak3.8beta of ''2 November 2004'' [latest update: #6374] on 13 November 2004 at 7:43:49 pm'!
"Change Set:		readContentsBrief-fix
Date:			9 November 2004
Author:			Lic. Edgar J. De Cleene

[FIX] [BUG] In FileList2  readContentsBrief: brevityFlag
Archive ID: 25422
Comments:	Here I copy how code should be to not have a walkback when you select a file
what Squeak cannot could read. (Two lines needed to be swapped.)

readContentsBrief: brevityFlag
 ...
    brevityFlag ifTrue: [
        directory isRemoteDirectory ifTrue: [^ self readServerBrief]].
f := directory oldFileOrNoneNamed: self fullName.
>>>f ifNil: [^ 'For some reason, this file cannot be read' translated].
>>>    f converter: (self defaultEncoderFor: self fullName)."!


!FileList methodsFor: 'private' stamp: 'tlk 11/13/2004 19:01'!
readContentsBrief: brevityFlag
	"Read the contents of the receiver's selected file, unless it is too long, in which case show just the first 5000 characters. Don't create a file if it doesn't already exist."
	| f fileSize first5000 |

	brevityFlag ifTrue: [
		directory isRemoteDirectory ifTrue: [^ self readServerBrief]].
	f := directory oldFileOrNoneNamed: self fullName.
	f ifNil: [^ 'For some reason, this file cannot be read' translated].
	f converter: (self defaultEncoderFor: self fullName).
	(brevityFlag not or: [(fileSize := f size) <= 100000]) ifTrue:
		[contents := f contentsOfEntireFile.
		brevityState := #fullFile.   "don't change till actually read"
		^ contents].

	"if brevityFlag is true, don't display long files when first selected"
	first5000 := f next: 5000.
	f close.
	contents := 'File ''{1}'' is {2} bytes long.
You may use the ''get'' command to read the entire file.

Here are the first 5000 characters...
------------------------------------------
{3}
------------------------------------------
... end of the first 5000 characters.' translated format: {fileName. fileSize. first5000}.
	brevityState := #briefFile.   "don't change till actually read"
	^ contents.
! !

