'From Squeak3.8beta of ''2 November 2004'' [latest update: #6465] on 24 November 2004 at 4:25:14 pm'!
"Change Set:		removeLF-md
Date:			24 November 2004
Author:			Marcus Denker

The code run in the postscript is from SystemDictionary>>removeAllLineFeeds but
it does not beep nor ask if there's a single LF (it just replaces this with CR, too)

This will change over 500 Methods"!

"Postscript:"
	| oldCodeString n crlf cr newCodeString oldStamp oldCategory m |
	crlf := String with: Character cr with: Character lf.
	cr := String with: Character cr.
	Smalltalk forgetDoIts.
	'Scanning sources for LineFeeds.
This will take a few minutes...'
		displayProgressAt: Sensor cursorPoint
		from: 0
		to: CompiledMethod instanceCount
		during: [:bar | 
			n := 0.
			m := 0.
			Smalltalk systemNavigation
				allBehaviorsDo: [:cls | cls selectors
						do: [:selector | 
							(n := n + 1) \\ 100 = 0
								ifTrue: [bar value: n].
							oldCodeString := (cls sourceCodeAt: selector) asString.
							(oldCodeString indexOf: Character lf startingAt: 1)
									> 0
								ifTrue: [
									newCodeString := oldCodeString
												copyReplaceAll: crlf
												with: cr
												asTokens: false.
									oldStamp := Utilities
												timeStampForMethod: (cls compiledMethodAt: selector).
									oldCategory := cls whichCategoryIncludesSelector: selector.
									cls
										compile: newCodeString
										classified: oldCategory
										withStamp: oldStamp
										notifying: nil.
									m := m + 1]]]].
	Transcript cr; show: m printString , ' methods stripped of LFs.'

!

