'From Squeak3.8gamma of ''24 November 2004'' [latest update: #6662] on 26 April 2005 at 11:49:37 am'!
"Change Set:		searchFix-bf
Date:			26 April 2005
Author:			Bert Freudenberg

Make Cmd-Shift-E find only Strings, not Symbols (string refactoring bug)"!


!SystemNavigation methodsFor: 'browse' stamp: 'bf 4/26/2005 11:44'!
browseMethodsWithString: aString matchCase: caseSensitive
	"Launch a browser on all methods that contain string literals with aString as a substring. Make the search case-sensitive or insensitive as dictated by the caseSensitive boolean parameter"

	self browseAllSelect:
			[:method |
				method  hasLiteralSuchThat: [:lit |
					(lit isString and: [lit isSymbol not]) and:
					[lit includesSubstring: aString caseSensitive: caseSensitive]]]
		name:  'Methods with string ', aString printString, (caseSensitive ifTrue: [' (case-sensitive)'] ifFalse: [' (case-insensitive)'])
		autoSelect: aString.
! !

