'From Squeak3.8 of ''5 May 2005'' [latest update: #6665] on 20 March 2006 at 6:24:40 pm'!
"Change Set:		categoryspeedup-al
Date:			17 March 2006
Author:			Adrien Lienhard

Speed up Class>>category"!


!Class methodsFor: 'organization' stamp: 'al 3/17/2006 17:11'!
category
	"Answer the system organization category for the receiver."

	category ifNotNil: [
		((SystemOrganization listAtCategoryNamed: category) includes: self name)
			ifTrue: [ ^category ] ].
	category := super category.
	^category! !

!Class methodsFor: 'organization' stamp: 'bf 3/20/2006 18:22'!
category: cat 
	"Categorize the receiver under the system category, cat, removing it from 
	any previous categorization."

	super category: cat.
	category := cat asSymbol.
	! !

