'From Squeak3.8 of ''5 May 2005'' [latest update: #6665] on 10 October 2007 at 10:43:42 am'!
"Change Set:		setFileNameBeforeRegister-JMM
Date:			10 October 2007
Author:			johnmci@smalltalkconsulting.com

http://bugs.squeak.org/view.php?id=6434
Fix problem where instance was registered in WeakRegistery before the name was assigned which let someone else attempt to iterate over the Registry keys and fail in retryWithGC:until:forFileNamed: because the name was nil"!


!StandardFileStream methodsFor: 'open/close' stamp: 'JMM 10/10/2007 10:40'!
open: fileName forWrite: writeMode 
	"Open the file with the given name. If writeMode is true, allow writing, otherwise open the file in read-only mode."
	"Changed to do a GC and retry before failing ar 3/21/98 17:25"
	| f |
	f _ fileName asVmPathName.

	fileID _ StandardFileStream retryWithGC:[self primOpen: f writable: writeMode] 
					until:[:id| id notNil] 
					forFileNamed: fileName.
	fileID ifNil: [^ nil].  "allows sender to detect failure"
	name _ fileName.
	self register.
	rwmode _ writeMode.
	buffer1 _ String new: 1.
! !

