"Simple FFI installation script"
repo := MCHttpRepository 
	location:'http://source.squeakfoundation.org/FFI' 
	user: '' 
	password: ''.
'Installing FFI' displayProgressAt: Sensor cursorPoint from: 1 to: 6 during:[:bar|
	#(
		'FFI-Kernel-ar.8.mcz'
		'FFI-Tests-ar.2.mcz'
		'FFI-Examples-ar.1.mcz'
	) keysAndValuesDo:[:index :pkgVersion|
		bar value: index*2-1.
		reader := repo versionReaderForFileNamed: pkgVersion.
		bar value: index*2.
		version := reader version.
		version workingCopy repositoryGroup addRepository: repo.
		version load.
	].
].

"Fix what might be Monticello problem, leaving some types wrong initialized"
(Smalltalk at: #ExternalType) initialize.
(Smalltalk at: #ExternalStructure) compileAllFields.